import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import Link from '../../core/Link';
import withStyles from '../../core/withStyles';
import { testAttr } from '../../helpers';
import styles from './ApplicationCard.styles';
export const ApplicationCard = ({ classes, application, onClick, auto = false, testId, }) => {
    const { name, thumbnailUrl, websiteUrl, strings } = application.currentAppVersion;
    const cta = strings.callToAction || name;
    return (_jsxs("div", Object.assign({ className: cn(classes.root, auto && classes.auto) }, { children: [_jsx("button", Object.assign({ className: classes.thumbnail, onClick: onClick }, testAttr(testId), { children: _jsx("div", { className: classes.image, style: { backgroundImage: `url(${thumbnailUrl})` } }, void 0) }), void 0), cta && _jsx("div", Object.assign({ className: classes.cta }, { children: cta }), void 0), websiteUrl && (_jsx("div", Object.assign({ className: classes.website }, { children: _jsx(Link, Object.assign({ href: websiteUrl, target: "_blank" }, { children: "Learn More" }), void 0) }), void 0))] }), void 0));
};
export default withStyles(styles)(ApplicationCard);
//# sourceMappingURL=ApplicationCard.js.map