import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './ActionBar.styles';
interface ActionBarProps extends WithStyles<typeof styles> {
    condensed?: boolean;
    doubleMargin?: boolean;
    autoHeight?: boolean;
}
export declare const ActionBar: React.FC<ActionBarProps>;
declare const _default: React.FC<Pick<ActionBarProps & {
    children?: React.ReactNode;
}, "condensed" | "children" | "autoHeight" | "doubleMargin"> & import("@material-ui/core").StyledComponentProps<"condensed" | "root" | "autoHeight"> & import("../ThemeSelector").ThemeProps> & {
    Title: React.ComponentType<Pick<import("./ActionBarTitle").ActionBarTitleProps & {
        children?: React.ReactNode;
    }, "children" | "title" | "subtitle"> & import("@material-ui/core").StyledComponentProps<"title" | "actionBarTitle" | "subtitle">>;
    Action: React.ComponentType<Pick<import("./ActionBarAction").ActionBarActionProps & React.RefAttributes<unknown>, "disabled" | "selected" | "icon" | "label" | "onClick" | keyof React.RefAttributes<unknown> | "subAction"> & import("@material-ui/core").StyledComponentProps<"disabled" | "root" | "label" | "labelSelected" | "subActionLabel">>;
    Input: React.ComponentType<Pick<import("./ActionBarInput").ActionBarInputProps & {
        children?: React.ReactNode;
    }, "disabled" | "maxWidth" | "icon" | "children" | "label" | "onBlur" | "onChange" | "onClick" | "type" | "value"> & import("@material-ui/core").StyledComponentProps<"underline" | "root" | "input">>;
    Select: React.ComponentType<Pick<import("./ActionBarSelect").ActionBarSelectProps & {
        children?: React.ReactNode;
    }, "disabled" | "open" | "icon" | "children" | "label" | "onOpen"> & import("@material-ui/core").StyledComponentProps<"paper" | "dropdown" | "menuList">>;
    SelectOption: React.ComponentType<Pick<import("./ActionBarSelectOption").ActionBarSelectOptionProps & {
        children?: React.ReactNode;
    }, "disabled" | "selected" | "icon" | "children" | "label" | "onClick"> & import("@material-ui/core").StyledComponentProps<"selected" | "root">>;
};
export default _default;
