import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import withStyles from '../../core/withStyles';
import withThemeSelector from '../../core/withThemeSelector';
import Row from '../../layout/Row';
import styles from './ActionBar.styles';
import ActionBarAction from './ActionBarAction';
import ActionBarInput from './ActionBarInput';
import ActionBarTitle from './ActionBarTitle';
import ActionBarSelect from './ActionBarSelect';
import ActionBarSelectOption from './ActionBarSelectOption';
export const ActionBar = ({ condensed, doubleMargin, autoHeight, classes, children, }) => (_jsx(Row, Object.assign({ className: cn(classes.root, condensed && classes.condensed, autoHeight && classes.autoHeight), doubleMargin: doubleMargin }, { children: children }), void 0));
export default Object.assign(withThemeSelector(withStyles(styles)(ActionBar)), {
    Title: ActionBarTitle,
    Action: ActionBarAction,
    Input: ActionBarInput,
    Select: ActionBarSelect,
    SelectOption: ActionBarSelectOption,
});
//# sourceMappingURL=ActionBar.js.map