import { jsx as _jsx } from "react/jsx-runtime";
import Input from '@material-ui/core/Input';
import InputAdornment from '@material-ui/core/InputAdornment';
import withStyles from '../withStyles';
import styles from './ActionBarInput.styles';
export const ActionBarInput = ({ classes, icon, label, value, type, disabled, maxWidth, onClick, onChange, onBlur, }) => {
    return (_jsx(Input, { fullWidth: true, className: classes.root, classes: {
            input: classes.input,
            underline: classes.underline,
        }, placeholder: label, value: value, type: type, disabled: disabled, style: { maxWidth }, onClick: onClick, onChange: (event) => {
            if (onChange) {
                onChange(event.target.value);
            }
        }, onBlur: onBlur, endAdornment: icon ? _jsx(InputAdornment, Object.assign({ position: "end" }, { children: icon }), void 0) : null }, void 0));
};
export default withStyles(styles)(ActionBarInput);
//# sourceMappingURL=ActionBarInput.js.map