import { createStyles } from '../../core/withStyles';
import { actionBarHeight } from './ActionBar.styles';
const styles = (theme) => {
    // Use any type to prevent TS build errors when using
    // the CSSProperties type
    const textStyles = {
        lineHeight: 1.11,
        letterSpacing: 1.42,
        fontWeight: 600,
        fontSize: theme.fontSizes.xs,
        color: theme.palette.text.secondary,
        textTransform: 'uppercase',
    };
    return createStyles({
        root: {
            height: actionBarHeight / 2,
            color: theme.palette.text.secondary,
        },
        input: Object.assign(Object.assign({}, textStyles), { '&::placeholder': Object.assign({ opacity: 1 }, textStyles) }),
        underline: {
            '&:before': {
                borderBottomColor: theme.input.border,
                bottom: 2,
            },
            '&:after': {
                borderBottomColor: theme.input.border,
                bottom: 2,
            },
        },
    });
};
export default styles;
//# sourceMappingURL=ActionBarInput.styles.js.map