import { jsxs as _jsxs } from "react/jsx-runtime";
import MUIAvatar from '@material-ui/core/Avatar';
import { makeStyles, createStyles } from '../../styles';
const useStyles = makeStyles((theme) => createStyles({
    root: {
        // Consistent styling with Auth0's auto-generated Avatar.
        fontSize: 15,
        letterSpacing: 0.5,
        fontWeight: 400,
        backgroundColor: theme.avatar.background,
        color: theme.avatar.foreground,
    },
}));
export const Avatar = ({ thumbnailUrl, name = '' }) => {
    const classes = useStyles();
    const [firstName, lastName] = name.split(' ');
    const firstInitial = firstName.charAt(0).toUpperCase();
    const lastInitial = lastName && lastName.length > 0
        ? lastName.charAt(0).toUpperCase()
        : firstName.charAt(1).toUpperCase();
    return (_jsxs(MUIAvatar, Object.assign({ className: classes.root, variant: "circle", src: thumbnailUrl }, { children: [firstInitial || '', lastInitial || ''] }), void 0));
};
export default Avatar;
//# sourceMappingURL=Avatar.js.map