import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import Icon from '../Icon';
import withStyles from '../withStyles';
import styles from './Breadcrumb.styles';
import BreadcrumbCrumb from './BreadcrumbCrumb';
export const Breadcrumb = ({ onBack, children, classes, }) => {
    const numberOfChildren = React.Children.count(children);
    if (numberOfChildren <= 1) {
        return _jsx("div", Object.assign({ className: classes.root }, { children: children }), void 0);
    }
    const crumbs = [
        _jsx(BreadcrumbCrumb, Object.assign({ onClick: onBack, noShrink: true }, { children: _jsx(Icon, { icon: "arrowLeft", className: classes.backIcon }, void 0) }), "back"),
    ];
    React.Children.forEach(children, (child, index) => {
        crumbs.push(child);
        if (index !== numberOfChildren - 1) {
            crumbs.push(_jsx("span", Object.assign({ className: classes.separator }, { children: "/" }), `sep-${index}`));
        }
    });
    return _jsx("div", Object.assign({ className: classes.root }, { children: crumbs }), void 0);
};
export default Object.assign(withStyles(styles)(Breadcrumb), {
    Crumb: BreadcrumbCrumb,
});
//# sourceMappingURL=Breadcrumb.js.map