import * as React from 'react';
import { IconOptions } from '../Icon';
import { WithStyles } from '../withStyles';
import styles from './Button.styles';
export interface ButtonProps extends WithStyles<typeof styles> {
    className?: string;
    /** The button's label */
    label?: React.ReactNode;
    /** The button's icon */
    icon?: IconOptions | React.ReactNode;
    /** Set the icon alignment relative to the label */
    iconAlignment?: 'start' | 'end';
    /** The button's color */
    color?: 'default' | 'primary' | 'progress' | 'destructive' | 'light';
    /** The size of the button */
    size?: 'small' | 'default';
    /** Set to true to disable the button */
    disabled?: boolean;
    /** Set to true to make the button expand to it's container */
    fullWidth?: boolean;
    /** Set to true to hide the border */
    hideBorder?: boolean;
    /** The type of button, defaults to button. */
    type?: 'submit' | 'button';
    /** Called when the button is clicked */
    onClick?: (event: React.MouseEvent<any>) => any;
    /** Overrides icon and label */
    children?: React.ReactNode;
    /** The test id of the button */
    testId?: string;
}
export declare const Button: React.FC<ButtonProps>;
declare const _default: React.ComponentType<Pick<ButtonProps & React.RefAttributes<unknown>, "disabled" | "color" | "size" | "icon" | "className" | "children" | "label" | "onClick" | "type" | "testId" | "fullWidth" | keyof React.RefAttributes<unknown> | "hideBorder" | "iconAlignment"> & import("@material-ui/core").StyledComponentProps<"button" | "primary" | "default" | "small" | "light" | "progress" | "icon" | "label" | "buttonFullWidth" | "buttonOnlyIcon" | "buttonWithIconAndLabel" | "iconWithLabel" | "iconWithLabelFullWidth" | "iconAlignStart" | "iconAlignEnd" | "destructive" | "hideBorder">>;
export default _default;
