import { jsx as _jsx } from "react/jsx-runtime";
import MUIPaper from '@material-ui/core/Paper';
import cn from 'classnames';
import withThemeSelector from '../../core/withThemeSelector';
import withStyles from '../withStyles';
import styles from './Card.styles';
import CardActions from './CardActions';
import CardContent from './CardContent';
import CardHeading from './CardHeading';
export const Card = ({ fullWidth = false, raised = false, children, onClick = () => {
    return;
}, classes, }) => (_jsx(MUIPaper, Object.assign({ elevation: raised ? 1 : 0, onClick: onClick, classes: {
        root: cn(classes.card, fullWidth && classes.fullWidth),
    } }, { children: children }), void 0));
export default Object.assign(withThemeSelector(withStyles(styles)(Card)), {
    Heading: CardHeading,
    Content: CardContent,
    Actions: CardActions,
});
//# sourceMappingURL=Card.js.map