import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import CollapsableSelectFieldOption from './CollapsableSelectFieldOption';
import useStyles from './CollapsableSelectField.styles';
import CollapsableSelectFieldContext from './CollapsableSelectFieldContext';
export const CollapsableSelectField = ({ className, value, disabled = false, onChange, children }) => {
    const classes = useStyles();
    const isSelected = React.useCallback((optionValue) => {
        return Array.isArray(value)
            ? value.includes(optionValue)
            : value === optionValue;
    }, [value]);
    const isDisabled = React.useCallback(() => {
        return disabled;
    }, [disabled]);
    const setSelected = React.useCallback((optionValue, selected) => {
        if (Array.isArray(value)) {
            if (selected) {
                onChange([...value, optionValue]);
            }
            else {
                onChange(value.filter((v) => v !== optionValue));
            }
        }
        else {
            onChange(optionValue);
        }
    }, [value, onChange]);
    return (_jsx(CollapsableSelectFieldContext.Provider, Object.assign({ value: { isSelected, isDisabled, setSelected } }, { children: _jsx("div", Object.assign({ className: cn(classes.root, className) }, { children: children }), void 0) }), void 0));
};
export default Object.assign(CollapsableSelectField, {
    Option: CollapsableSelectFieldOption,
});
//# sourceMappingURL=CollapsableSelectField.js.map