import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUIExpansionPanel from '@material-ui/core/ExpansionPanel';
import MUIExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary';
import MUIExpansionPanelDetails from '@material-ui/core/ExpansionPanelDetails';
import ArrowRightIcon from '@material-ui/icons/ArrowRight';
import * as React from 'react';
import Row from '../../layout/Row';
import Checkbox from '../Checkbox';
import useStyles from './CollapsableSelectFieldOption.styles';
import CollapsableSelectFieldContext from './CollapsableSelectFieldContext';
export const CollapsableSelectFieldOption = ({ className, value, label, expanded = false, onClick, children }) => {
    const classes = useStyles();
    const { isSelected, isDisabled, setSelected } = React.useContext(CollapsableSelectFieldContext);
    return (_jsxs(MUIExpansionPanel, Object.assign({ elevation: 0, expanded: expanded, className: className, classes: {
            root: classes.root,
            expanded: classes.expanded,
        } }, { children: [_jsx(MUIExpansionPanelSummary, Object.assign({ expandIcon: _jsx(ArrowRightIcon, {}, void 0), classes: {
                    root: classes.summary,
                    expanded: classes.expanded,
                    expandIcon: classes.expandedIcon,
                    content: classes.content,
                    focused: classes.focused,
                }, onClick: onClick }, { children: _jsxs(Row, Object.assign({ halfMargin: true, center: true }, { children: [_jsx(Checkbox, { checked: isSelected(value), disabled: isDisabled(), onChange: (selected) => setSelected(value, selected), onClick: (event) => event.stopPropagation() }, void 0), _jsx("span", Object.assign({ className: classes.label }, { children: label }), void 0)] }), void 0) }), void 0), _jsx(MUIExpansionPanelDetails, Object.assign({ className: classes.details }, { children: children }), void 0)] }), void 0));
};
export default CollapsableSelectFieldOption;
//# sourceMappingURL=CollapsableSelectFieldOption.js.map