import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Row from '../../layout/Row';
import ColorField from './ColorField';
export default {
    title: 'Components/ColorField',
    component: ColorField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return (_jsx(Row, { children: _jsx(ColorField, Object.assign({}, args, { value: value, onChange: handleOnChange }), void 0) }, void 0));
};
export const Default = Template.bind({});
Default.args = {
    label: 'Background color',
    value: '#009bd2',
};
export const Disabled = Template.bind({});
Disabled.args = Object.assign(Object.assign({}, Default.args), { disabled: true });
//# sourceMappingURL=ColorField.stories.js.map