import { jsx as _jsx } from "react/jsx-runtime";
import MUIExpansionPanel from '@material-ui/core/ExpansionPanel';
import cn from 'classnames';
import withThemeSelector from '../../core/withThemeSelector';
import withStyles from '../withStyles';
import styles from './ExpansionPanel.styles';
import ExpansionPanelDetails from './ExpansionPanelDetails';
import ExpansionPanelSummary from './ExpansionPanelSummary';
export const ExpansionPanel = ({ children, disabled = false, raised = false, onChange = () => {
    return;
}, classes, }) => {
    return (_jsx(MUIExpansionPanel, Object.assign({ elevation: raised ? 1 : 0, disabled: disabled, onChange: onChange, TransitionProps: { unmountOnExit: true }, classes: {
            root: cn(classes.expansionPanel),
        } }, { children: children }), void 0));
};
export default Object.assign(withThemeSelector(withStyles(styles)(ExpansionPanel)), {
    Details: ExpansionPanelDetails,
    Summary: ExpansionPanelSummary,
});
//# sourceMappingURL=ExpansionPanel.js.map