import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './FileDropper.styles';
export interface FileDropperProps extends WithStyles<typeof styles> {
    title: string;
    onDrop: (files: FileList) => void;
}
interface FileDropperState {
    isDragging: boolean;
}
export declare class FileDropper extends React.Component<FileDropperProps, FileDropperState> {
    state: FileDropperState;
    dragTarget: EventTarget | null;
    componentDidMount(): void;
    componentWillUnmount(): void;
    attachDragListeners(): void;
    removeDragListeners(): void;
    onDragOver: (e: DragEvent) => void;
    onDragEnter: (e: DragEvent) => void;
    onDragLeave: (e: DragEvent) => void;
    onDrop: (e: React.DragEvent<HTMLDivElement>) => void;
    render(): JSX.Element | null;
}
declare const _default: React.FC<Pick<FileDropperProps, "title" | "onDrop"> & import("@material-ui/core").StyledComponentProps<"overlay" | "root" | "title"> & import("../ThemeSelector").ThemeProps>;
export default _default;
