import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './FileField.styles';
export interface FileFieldProps extends WithStyles<typeof styles> {
    /** The label of the text field */
    label: string;
    /** The label of the text field */
    value?: FileList;
    /** File types to allow */
    accept?: string[];
    /** Set to true to allow multiple files to be selected */
    multiple?: boolean;
    /** Set to true to display input with error */
    error?: boolean;
    /** Set to true to disable in the input */
    disabled?: boolean;
    /** Optional helper text */
    helperText?: React.ReactNode;
    /** Called when the value changes */
    onChange?: (value: FileList) => any;
    /** Called when the user clears the file. If provided, an 'x' will be displayed. */
    onClear?: () => any;
    /** Called when the input loses focus */
    onBlur?: React.FocusEventHandler<any>;
}
export declare const FileField: React.FC<FileFieldProps>;
declare const _default: React.ComponentType<Pick<FileFieldProps & {
    children?: React.ReactNode;
}, "disabled" | "multiple" | "error" | "children" | "label" | "onBlur" | "onChange" | "value" | "accept" | "helperText" | "onClear"> & import("@material-ui/core").StyledComponentProps<"disabled" | "clear" | "root" | "input" | "inputWrapper" | "inputHasValue">>;
export default _default;
