import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import Icon from '../Icon';
import InputLabel from '../InputLabel';
import Input from '../Input';
import InputHelperText from '../InputHelperText';
import withStyles from '../withStyles';
import styles from './FileField.styles';
const getFileNames = (value) => {
    if (!value)
        return '';
    return Array.from(value || [])
        .map((f) => f.name)
        .join(', ');
};
export const FileField = ({ label, value, accept = ['*'], multiple = false, disabled = false, error = false, helperText = '', onChange = () => {
    return;
}, onClear, onBlur, classes, }) => {
    const shouldShowClear = !!value && !!onClear;
    const fileInput = React.createRef();
    return (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsx(InputLabel, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), _jsxs("div", Object.assign({ className: classes.inputWrapper }, { children: [_jsx(Input, { type: "text", icon: shouldShowClear && (_jsx("button", Object.assign({ className: classes.clear, onClick: () => onClear() }, { children: _jsx(Icon, { icon: "remove" }, void 0) }), void 0)), value: getFileNames(value), onFocus: () => { var _a; return (_a = fileInput === null || fileInput === void 0 ? void 0 : fileInput.current) === null || _a === void 0 ? void 0 : _a.focus(); }, disabled: disabled, error: error }, void 0), _jsx("input", { ref: fileInput, disabled: disabled, className: cn(classes.input, value && classes.inputHasValue, disabled && classes.disabled), type: "file", title: "" // hide hover tooltip
                        , accept: accept.join(','), multiple: multiple, onChange: (e) => {
                            if (e.target.files) {
                                onChange(e.target.files);
                            }
                        }, onBlur: onBlur }, void 0)] }), void 0), helperText && (_jsx(InputHelperText, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
export default withStyles(styles)(FileField);
//# sourceMappingURL=FileField.js.map