import { jsx as _jsx } from "react/jsx-runtime";
import { useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import FileFieldDefault, { FileField } from './FileField';
import Link from '../Link';
export default {
    title: 'Components/FileField',
    component: FileField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState();
    return (_jsx(FileFieldDefault, Object.assign({}, args, { value: value, onChange: (image) => {
            setValue(image);
        }, onClear: () => {
            setValue(undefined);
        } }), void 0));
};
export const Image = Template.bind({});
Image.args = {
    label: 'Image',
    accept: ['image/jpg', 'image/png'],
};
export const Disabled = Template.bind({});
Disabled.args = {
    label: 'Disabled',
    disabled: true,
    helperText: 'Helper text (optional)',
};
export const Error = Template.bind({});
Error.args = {
    error: true,
    label: 'Error',
    helperText: 'Oops! This field is invalid',
};
export const Multiple = Template.bind({});
Multiple.args = {
    multiple: true,
    label: 'Multiple',
    helperText: _jsx(Link, { children: "Helper link" }, void 0),
};
//# sourceMappingURL=FileField.stories.js.map