import { jsx as _jsx } from "react/jsx-runtime";
import { action } from '@storybook/addon-actions';
import { useEffect, useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import FontUploader from './FontUploader';
export default {
    title: 'Components/FontUploader',
    component: FontUploader,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return _jsx(FontUploader, Object.assign({}, args, { value: value, onChange: handleOnChange }), void 0);
};
export const Default = Template.bind({});
Default.args = {
    value: new DataTransfer().files,
};
export const CustomLabel = Template.bind({});
CustomLabel.args = {
    value: new DataTransfer().files,
    label: 'My custom label',
};
//# sourceMappingURL=FontUploader.stories.js.map