import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ImagePickerField.styles';
import { ImagePickerFieldOptionProps } from './ImagePickerFieldOption';
declare type ImagePickerFieldChild = React.ReactElement<ImagePickerFieldOptionProps>;
export interface ImagePickerFieldProps extends WithStyles<typeof styles> {
    value: string[];
    error?: boolean;
    helperText?: React.ReactNode;
    onChange: (value: string[]) => void;
    onBlur: (e: React.FocusEvent<any>) => void;
    children?: ImagePickerFieldChild[];
}
interface ImagePickerFieldState {
    orderedChildren: ImagePickerFieldChild[];
}
export declare class ImagePickerField extends React.Component<ImagePickerFieldProps, ImagePickerFieldState> {
    static defaultProps: Partial<ImagePickerFieldProps>;
    static getDerivedStateFromProps(props: ImagePickerFieldProps, state: ImagePickerFieldState): {
        orderedChildren: React.ReactElement<any, string | React.JSXElementConstructor<any>>[];
    } | null;
    state: ImagePickerFieldState;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<ImagePickerFieldProps, never> & Partial<Pick<ImagePickerFieldProps, keyof ImagePickerFieldProps>> & Partial<Pick<Partial<ImagePickerFieldProps>, never>>, "error" | "children" | "onBlur" | "onChange" | "value" | "helperText"> & import("@material-ui/core").StyledComponentProps<never>> & {
    Option: React.FC<Pick<Pick<ImagePickerFieldOptionProps, "classes" | "onClick" | "url" | "value"> & Partial<Pick<ImagePickerFieldOptionProps, "checked">> & Partial<Pick<{
        checked: boolean;
    }, never>>, "onClick" | "url" | "value" | "checked"> & import("@material-ui/core").StyledComponentProps<"overlay" | "root" | "image" | "clickable" | "inner" | "topLeft"> & import("../ThemeSelector").ThemeProps>;
};
export default _default;
