import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { action } from '@storybook/addon-actions';
import { useEffect, useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import ImagePickerFieldDefault, { ImagePickerField } from './ImagePickerField';
export default {
    title: 'Components/ImagePickerField',
    component: ImagePickerField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return (_jsxs(ImagePickerFieldDefault, Object.assign({}, args, { value: value, onChange: handleOnChange }, { children: [_jsx(ImagePickerFieldDefault.Option, { value: "id-1", url: "https://assets.raydiant.com/images/image-picker-sample-1.jpeg" }, "id-1"), _jsx(ImagePickerFieldDefault.Option, { value: "id-2", url: "https://assets.raydiant.com/images/image-picker-sample-2.jpeg" }, "id-2")] }), void 0));
};
export const Default = Template.bind({});
Default.args = {
    value: [],
};
export const HelperText = Template.bind({});
HelperText.args = {
    value: ['id-1'],
    helperText: 'Here is some helper text',
};
export const Error = Template.bind({});
Error.args = {
    value: ['id-1', 'id-2'],
    helperText: 'Oops! An error occurred',
    error: true,
};
//# sourceMappingURL=ImagePickerField.stories.js.map