import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import isTouchDevice from 'is-touch-device';
import * as React from 'react';
import Checkbox from '../../core/Checkbox';
import withStyles from '../../core/withStyles';
import withThemeSelector from '../../core/withThemeSelector';
import styles from './ImagePickerFieldOption.styles';
export class ImagePickerFieldOption extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            isHover: false,
        };
        this.handleMouseOver = () => {
            this.setState({ isHover: true });
        };
        this.handleMouseLeave = () => {
            this.setState({ isHover: false });
        };
    }
    render() {
        const { classes, url, checked, onClick } = this.props;
        const { isHover } = this.state;
        const shouldShowOverlay = isHover || checked;
        const shouldAddMouseEvents = !isTouchDevice();
        return (_jsx("div", Object.assign({ className: classes.root }, { children: _jsxs("div", Object.assign({ className: cn(classes.inner, onClick && classes.clickable), onMouseOver: shouldAddMouseEvents ? this.handleMouseOver : undefined, onMouseLeave: shouldAddMouseEvents ? this.handleMouseLeave : undefined, onClick: onClick }, { children: [_jsx("div", { className: classes.image, style: {
                            backgroundImage: `url(${url})`,
                        } }, void 0), shouldShowOverlay && _jsx("div", { className: classes.overlay }, void 0), checked && (_jsx("div", Object.assign({ className: classes.topLeft }, { children: _jsx(Checkbox, { round: true, checked: checked, onClick: (e) => e.preventDefault() }, void 0) }), void 0))] }), void 0) }), void 0));
    }
}
ImagePickerFieldOption.defaultProps = {
    checked: false,
};
export default withThemeSelector(withStyles(styles)(ImagePickerFieldOption), 'dark');
//# sourceMappingURL=ImagePickerFieldOption.js.map