import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Link.styles';
declare type RenderFn = (props: {
    className: string;
    activeClassName: string;
}) => React.ReactElement<any>;
export interface LinkProps extends WithStyles<typeof styles> {
    className?: string;
    /** The href of the link */
    href?: string;
    /** The target of the link */
    target?: string;
    /** Set to true to display link as full width */
    fullWidth?: boolean;
    /** Called when the link is clicked. */
    onClick?: (e: React.MouseEvent<any>) => any;
    /** The test id of the link */
    testId?: string;
    /** Override the color of the link, currently only used by the website */
    color?: string;
    /** Set true if link is active */
    active?: boolean;
    /** Set true if link is disabled or not */
    disabled?: boolean;
    underline?: boolean;
    children?: React.ReactNode | RenderFn;
}
export declare const Link: React.FC<LinkProps>;
declare const _default: React.ComponentType<Pick<LinkProps & {
    children?: React.ReactNode;
}, "disabled" | "active" | "color" | "underline" | "className" | "children" | "onClick" | "target" | "href" | "testId" | "fullWidth"> & import("@material-ui/core").StyledComponentProps<"disabled" | "active" | "underline" | "root" | "fullWidth">>;
export default _default;
