import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import { DragDropContext, Draggable, Droppable, } from 'react-beautiful-dnd';
import { reorder } from '../../helpers';
import AlertIcon from '../AlertIcon';
import Icon from '../Icon';
import withStyles from '../withStyles';
import styles from './ListField.styles';
export class ListField extends React.Component {
    constructor() {
        super(...arguments);
        this.onDragEnd = ({ source, destination }) => {
            const { value, onChange } = this.props;
            // Dropped outside the list.
            if (!destination)
                return;
            const reordered = reorder(value, source.index, destination.index);
            onChange(reordered);
        };
        this.renderItem = (item, index) => {
            const { classes, onItemClick, getItemKey, getItemLabel, hasItemError } = this.props;
            // @ts-ignore
            const key = `${getItemKey(item, index)}`;
            const hasError = hasItemError ? hasItemError(item, index) : false;
            return (_jsx(Draggable, Object.assign({ draggableId: key, index: index }, { children: ({ innerRef, draggableProps, dragHandleProps, placeholder }) => (_jsxs("div", { children: [_jsxs("div", Object.assign({ ref: innerRef }, draggableProps, dragHandleProps, { className: classes.item }, { children: [_jsx("div", Object.assign({ className: classes.itemLabel, onClick: () => onItemClick(item, index), role: "button", tabIndex: 0 }, { children: getItemLabel(item, index) }), void 0), hasError && _jsx(AlertIcon, {}, void 0)] }), void 0), placeholder] }, void 0)) }), key));
        };
    }
    render() {
        const { value, addLabel, onAdd, addDisabled, classes } = this.props;
        return (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsx(DragDropContext, Object.assign({ onDragEnd: this.onDragEnd }, { children: _jsx(Droppable, Object.assign({ droppableId: "droppable" }, { children: ({ innerRef, placeholder }) => (_jsxs("div", { children: [_jsx("div", Object.assign({ ref: innerRef }, { children: value.map(this.renderItem) }), void 0), placeholder] }, void 0)) }), void 0) }), void 0), _jsxs("button", Object.assign({ className: cn(classes.add, addDisabled && classes.addDisabled), onClick: onAdd, disabled: addDisabled }, { children: [_jsx(Icon, { icon: "add", className: classes.addIcon }, void 0), _jsx("div", Object.assign({ className: classes.addLabel }, { children: addLabel }), void 0)] }), void 0)] }), void 0));
    }
}
ListField.defaultProps = {
    value: [],
    getItemLabel: (item) => item,
    getItemKey: (_, index) => `${index}`,
    hasItemError: () => false,
    addLabel: 'Add a new item',
    addDisabled: false,
};
export default withStyles(styles)(ListField);
//# sourceMappingURL=ListField.js.map