import { jsx as _jsx } from "react/jsx-runtime";
import { action } from '@storybook/addon-actions';
import { useEffect, useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import ListFieldDefault, { ListField } from './ListField';
export default {
    title: 'Components/ListField',
    component: ListField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return (_jsx(ListFieldDefault, Object.assign({}, args, { value: value, onChange: handleOnChange, hasItemError: (item) => item === 'Item1', onAdd: () => setValue([...value, `Item${value.length + 1}`]) }), void 0));
};
export const Default = Template.bind({});
Default.args = {
    value: ['Item1', 'Item2', 'Item3', 'Item4'],
};
//# sourceMappingURL=ListField.stories.js.map