import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Menu.styles';
export interface MenuProps extends WithStyles<typeof styles> {
    fixed?: boolean;
}
export declare const Menu: React.FC<MenuProps>;
declare const _default: React.ComponentType<Pick<MenuProps & {
    children?: React.ReactNode;
}, "fixed" | "children"> & import("@material-ui/core").StyledComponentProps<"fixed" | "root">> & {
    Header: React.ComponentType<Pick<import("./MenuHeader").MenuHeaderProps & {
        children?: React.ReactNode;
    }, "shadow" | "maxWidth" | "children"> & import("@material-ui/core").StyledComponentProps<"shadow" | "root" | "inner">>;
    Logo: React.ComponentType<Pick<import("./MenuLogo").MenuLogoProps & {
        children?: React.ReactNode;
    }, "width" | "square" | "children" | "onClick" | "href"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Item: React.ComponentType<Pick<import("./MenuItem").MenuItemProps & {
        children?: React.ReactNode;
    }, "active" | "children" | "label" | "onClick" | "target" | "href"> & import("@material-ui/core").StyledComponentProps<"active" | "root">>;
    Back: React.ComponentType<Pick<import("./MenuBack").MenuBackProps & {
        children?: React.ReactNode;
    }, "children" | "onClick" | "href"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Drawer: React.ComponentType<Pick<import("./MenuDrawer").MenuDrawerProps & {
        children?: React.ReactNode;
    }, "open" | "children" | "onOverlayClick"> & import("@material-ui/core").StyledComponentProps<"drawer" | "root">>;
    DrawerItem: React.ComponentType<Pick<import("./MenuDrawerItem").MenuDrawerItemProps & {
        children?: React.ReactNode;
    }, "active" | "children" | "label" | "onClick" | "target" | "href"> & import("@material-ui/core").StyledComponentProps<"active" | "root">>;
    DrawerCTA: React.ComponentType<Pick<import("./MenuDrawerCTA").MenuDrawerCTAProps & {
        children?: React.ReactNode;
    }, "children"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Title: React.ComponentType<Pick<import("./MenuTitle").MenuTitleProps & {
        children?: React.ReactNode;
    }, "children" | "label"> & import("@material-ui/core").StyledComponentProps<"root">>;
};
export default _default;
