import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box } from '@material-ui/core';
import { useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Spacer from '../../layout/Spacer';
import Button from '../Button';
import MenuDefault, { Menu } from './Menu';
export default {
    title: 'Components/Menu',
    component: Menu,
    argTypes: Object.assign({}, disabledArgTypes),
};
export const Default = (args) => {
    const [activeItem, setActiveItem] = useState('screens');
    return (_jsx(MenuDefault, Object.assign({}, args, { children: _jsxs(MenuDefault.Header, { children: [_jsx(MenuDefault.Logo, { href: "/", onClick: () => setActiveItem('screens') }, void 0), _jsx(MenuDefault.Item, { label: "Screens", active: activeItem === 'screens', onClick: () => setActiveItem('screens') }, void 0), _jsx(MenuDefault.Item, { label: "Library", active: activeItem === 'library', onClick: () => setActiveItem('library') }, void 0), _jsx(MenuDefault.Item, { label: "Account", active: activeItem === 'account', onClick: () => setActiveItem('account') }, void 0), _jsx(MenuDefault.Item, { href: "https://support.raydiant.com/hc/en-us", label: "Support", target: "_blank" }, void 0), _jsx(MenuDefault.Item, { href: "https://support.raydiant.com/hc/en-us", label: "Feedback", target: "_blank" }, void 0)] }, void 0) }), void 0));
};
const pageTitles = {
    screens: 'Screens',
    library: 'Library',
    account: 'Account',
};
export const Mobile = (args) => {
    const [activeItem, setActiveItem] = useState('screens');
    const [open, setOpen] = useState(false);
    return (_jsx(Box, Object.assign({ sx: { width: 400 } }, { children: _jsxs(MenuDefault, Object.assign({}, args, { children: [_jsxs(MenuDefault.Header, { children: [_jsx(MenuDefault.Back, { href: "/screens", onClick: () => {
                                setActiveItem('screens');
                            } }, void 0), _jsx(Spacer, {}, void 0), _jsx(MenuDefault.Title, { label: pageTitles[activeItem] }, void 0), _jsx(Button, { hideBorder: true, icon: open ? 'close' : 'menu', onClick: () => setOpen(!open) }, void 0)] }, void 0), _jsxs(MenuDefault.Drawer, Object.assign({ open: open }, { children: [_jsx(MenuDefault.DrawerItem, { href: "/screens", label: pageTitles.screens, active: activeItem === 'screens', onClick: () => {
                                setOpen(false);
                                setActiveItem('screens');
                            } }, void 0), _jsx(MenuDefault.DrawerItem, { href: "/library", label: pageTitles.library, active: activeItem === 'library', onClick: () => {
                                setOpen(false);
                                setActiveItem('library');
                            } }, void 0), _jsx(MenuDefault.DrawerItem, { href: "/account", label: pageTitles.account, active: activeItem === 'account', onClick: () => {
                                setOpen(false);
                                setActiveItem('account');
                            } }, void 0), _jsx(MenuDefault.DrawerItem, { href: "/support", label: "Support" }, void 0), _jsx(MenuDefault.DrawerItem, { href: "/feedback", label: "Feedback" }, void 0)] }), void 0)] }), void 0) }), void 0));
};
//# sourceMappingURL=Menu.stories.js.map