import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './MenuItem.styles';
declare type RenderFn = (props: {
    className: string;
    activeClassName: string;
}) => React.ReactElement<any>;
export interface MenuItemProps extends WithStyles<typeof styles> {
    /** The label of the menu item */
    label?: string;
    /** Set to true when the menu item is active */
    active?: boolean;
    /** Set href to render  */
    href?: string;
    /** Set target of the href */
    target?: string;
    /** Called when the menu item is clicked */
    onClick?: () => any;
    children?: React.ReactNode | RenderFn;
}
export declare const MenuItem: React.FC<MenuItemProps>;
declare const _default: React.ComponentType<Pick<MenuItemProps & {
    children?: React.ReactNode;
}, "active" | "children" | "label" | "onClick" | "target" | "href"> & import("@material-ui/core").StyledComponentProps<"active" | "root">>;
export default _default;
