import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { testAttr } from '../../helpers';
import Overlay from '../../internal/Overlay';
import { AppContext } from '../App';
import withStyles from '../withStyles';
import withThemeSelector from '../withThemeSelector';
import styles from './Modal.styles';
export class Modal extends React.Component {
    constructor() {
        super(...arguments);
        this.el = typeof document !== 'undefined' ? document.createElement('div') : null;
    }
    componentDidMount() {
        if (this.props.modalRoot && this.el) {
            this.props.modalRoot.appendChild(this.el);
        }
    }
    componentWillUnmount() {
        if (this.props.modalRoot && this.el) {
            this.props.modalRoot.removeChild(this.el);
        }
    }
    render() {
        const { open, onOverlayClick, children, classes, testId } = this.props;
        if (!open)
            return null;
        if (!this.el)
            return null;
        return ReactDOM.createPortal(_jsxs("div", Object.assign({ className: classes.root }, testAttr(testId), { children: [_jsx(Overlay, { className: classes.overlay, onClick: onOverlayClick, testId: `${testId}-overlay` }, void 0), _jsx("div", Object.assign({ className: classes.modal }, { children: children }), void 0)] }), void 0), this.el);
    }
}
const ModalWithStyles = withThemeSelector(withStyles(styles)(Modal));
const ModalRoot = (props) => (_jsx(AppContext.Consumer, { children: (appContextProps) => _jsx(ModalWithStyles, Object.assign({}, props, appContextProps), void 0) }, void 0));
export default ModalRoot;
//# sourceMappingURL=Modal.js.map