import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './MultiSelectField.styles';
import { MultiSelectFieldOptionProps } from './MultiSelectFieldOption';
export declare enum MultiSelectFieldSortBy {
    default = "default",
    label = "label",
    rightLabel = "rightLabel"
}
export declare type MultiSelectFieldSortType = 'string' | 'number' | 'boolean';
export interface MultiSelectFieldSortMode {
    label: string;
    by: MultiSelectFieldSortBy;
    type?: MultiSelectFieldSortType;
    isReverseSort: boolean;
}
export interface MultiSelectFieldSortOption {
    label: string;
    by: MultiSelectFieldSortBy;
    type?: MultiSelectFieldSortType;
    defaultDirection?: 'asc' | 'desc';
}
export declare type MultiSelectFieldChild = React.ReactElement<MultiSelectFieldOptionProps>;
interface MultiSelectFieldProps extends WithStyles<typeof styles> {
    label: string;
    value: string[];
    disabled?: boolean;
    searchable?: boolean;
    selectable?: boolean;
    error?: boolean;
    sortable?: MultiSelectFieldSortOption[];
    helperText?: React.ReactNode;
    onChange: (value: string[]) => void;
    onBlur: (e: React.FocusEvent<any>) => void;
    children?: MultiSelectFieldChild[];
}
interface MultiSelectFieldState {
    orderedChildren: MultiSelectFieldChild[];
    searchTerm: string;
    sortMode?: MultiSelectFieldSortMode;
}
export declare class MultiSelectField extends React.Component<MultiSelectFieldProps, MultiSelectFieldState> {
    static defaultProps: Partial<MultiSelectFieldProps>;
    static getDerivedStateFromProps(props: MultiSelectFieldProps, state: MultiSelectFieldState): {
        orderedChildren: React.ReactElement<any, string | React.JSXElementConstructor<any>>[];
    } | {
        orderedChildren: (MultiSelectFieldChild | undefined)[];
    };
    state: MultiSelectFieldState;
    sortWith: (getter: (c: MultiSelectFieldChild) => string, sortType: MultiSelectFieldSortType) => (c1: MultiSelectFieldChild, c2: MultiSelectFieldChild) => number;
    sortChildren: () => MultiSelectFieldChild[];
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<MultiSelectFieldProps, never> & Partial<Pick<MultiSelectFieldProps, keyof MultiSelectFieldProps>> & Partial<Pick<Partial<MultiSelectFieldProps>, never>>, "disabled" | "error" | "children" | "label" | "onBlur" | "onChange" | "value" | "selectable" | "sortable" | "searchable" | "helperText"> & import("@material-ui/core").StyledComponentProps<"disabled" | "root" | "items" | "contentWrapper" | "withSearch">> & {
    Option: React.ComponentType<Pick<MultiSelectFieldOptionProps & {
        children?: React.ReactNode;
    }, "disabled" | "selected" | "children" | "label" | "onClick" | "onSelect" | "value" | "checked" | "rightLabel" | "selectable"> & import("@material-ui/core").StyledComponentProps<"disabled" | "selected" | "root" | "label" | "checkboxLabel" | "labelButton" | "leftLabel" | "rightLabel">>;
};
export default _default;
