import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './MultiSelectFieldSearchBox.styles';
import { MultiSelectFieldChild, MultiSelectFieldSortMode, MultiSelectFieldSortOption } from './MultiSelectField';
interface MultiSelectFieldSearchBoxProps extends WithStyles<typeof styles> {
    value: string[];
    options: MultiSelectFieldChild[];
    searchTerm?: string;
    disabled?: boolean;
    onChange: (value: string[]) => void;
    onSearchChange: (value: string) => void;
    onSortChange: (newSortMode: MultiSelectFieldSortMode) => void;
    sortable?: MultiSelectFieldSortOption[];
}
interface MultiSelectFieldSearchBoxState {
    isSearchMode: boolean;
    isSortMode: boolean;
    sortMode?: MultiSelectFieldSortMode;
}
export declare class SearchBox extends React.Component<MultiSelectFieldSearchBoxProps, MultiSelectFieldSearchBoxState> {
    static defaultProps: Partial<MultiSelectFieldSearchBoxProps>;
    state: MultiSelectFieldSearchBoxState;
    componentDidMount(): void;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<MultiSelectFieldSearchBoxProps, never> & Partial<Pick<MultiSelectFieldSearchBoxProps, keyof MultiSelectFieldSearchBoxProps>> & Partial<Pick<Partial<MultiSelectFieldSearchBoxProps>, never>>, "disabled" | "onChange" | "value" | "options" | "searchTerm" | "onSearchChange" | "onSortChange" | "sortable"> & import("@material-ui/core").StyledComponentProps<"searchBox" | "checkBox" | "searchInputWrapper" | "searchInput" | "searchIcon" | "closeIcon" | "sortIcon">>;
export default _default;
