import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './SearchBox.styles';
import { MultiSelectFieldChild } from './MultiSelectField';
export declare enum SortType {
    Default = 0,
    Name = 1
}
export interface SortMode {
    type: SortType;
    isReverseSort: boolean;
}
export declare const DEFAULT_SORT_MODE: SortMode;
interface SearchBoxProps extends WithStyles<typeof styles> {
    value: string[];
    options: MultiSelectFieldChild[];
    searchTerm?: string;
    disabled?: boolean;
    onChange: (value: string[]) => void;
    onSearchChange: (value: string) => void;
    onSortChange: (newSortMode: SortMode) => void;
}
interface SearchBoxState {
    isSearchMode: boolean;
    isSortMode: boolean;
    sortMode: SortMode;
}
export declare class SearchBox extends React.Component<SearchBoxProps, SearchBoxState> {
    static defaultProps: Partial<SearchBoxProps>;
    state: SearchBoxState;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<SearchBoxProps, never> & Partial<Pick<SearchBoxProps, keyof SearchBoxProps>> & Partial<Pick<Partial<SearchBoxProps>, never>>, "disabled" | "onChange" | "value" | "options" | "searchTerm" | "onSearchChange" | "onSortChange"> & import("@material-ui/core").StyledComponentProps<"searchBox" | "checkBox" | "searchInputWrapper" | "searchInput" | "searchIcon" | "closeIcon" | "sortIcon">>;
export default _default;
