import * as React from 'react';
export interface NumberFieldProps {
    /** The label of the text field */
    label: string;
    /** The label of the text field */
    value?: number;
    /** The minimum value allowed */
    min?: number;
    /** The maximum value allowed */
    max?: number;
    /** Set to true to display input with error */
    error?: boolean;
    /** Set to true to disable in the input */
    disabled?: boolean;
    /** Optional helper text */
    helperText?: React.ReactNode;
    /** Called when the value changes */
    onChange?: (value: number) => any;
    /** Called when the input loses focus */
    onBlur?: React.FocusEventHandler<any>;
}
export declare const NumberField: React.FC<NumberFieldProps>;
export default NumberField;
