import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import NumberFieldDefault, { NumberField } from './NumberField';
export default {
    title: 'Components/NumberField',
    component: NumberField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return (_jsx(NumberFieldDefault, Object.assign({}, args, { value: value, onChange: handleOnChange }), void 0));
};
export const Default = Template.bind({});
Default.args = {};
export const Disabled = Template.bind({});
Disabled.args = {
    disabled: true,
};
export const Label = Template.bind({});
Label.args = {
    label: 'Number of screens',
};
export const Error = Template.bind({});
Error.args = {
    error: true,
};
export const MinMaxRestrictions = Template.bind({});
MinMaxRestrictions.args = {
    min: 0,
    max: 10,
    helperText: 'Number must be less than ten',
};
//# sourceMappingURL=NumberField.stories.js.map