import { jsx as _jsx } from "react/jsx-runtime";
import Scrollable from '../../layout/Scrollable';
import withStyles, { createStyles } from '../withStyles';
const styles = () => createStyles({
    root: {
        // For IE11 it's necessary to set the maxHeight on the scrollable element.
        // Originally we had a maxHeight of 320px on the popover container, so we are
        // substracting the height of the popover header (~56px) from 320px to get 264px.
        maxHeight: 264,
    },
});
const Body = (props) => {
    const { children, classes } = props;
    return _jsx(Scrollable, Object.assign({ className: classes.root }, { children: children }), void 0);
};
export default withStyles(styles)(Body);
//# sourceMappingURL=Body.js.map