import { jsx as _jsx } from "react/jsx-runtime";
import Row from '../../layout/Row';
import withStyles, { createStyles } from '../withStyles';
const styles = (theme) => createStyles({
    root: {
        display: 'flex',
        fontWeight: 500,
        backgroundColor: theme.popover.contentBackground,
        paddingLeft: theme.spacing(2),
        paddingRight: theme.spacing(2),
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        borderBottom: '1px solid transparent',
        borderTop: `1px solid ${theme.palette.action.selected}`,
        minHeight: 68,
    },
    row: {
        alignItems: 'center',
        justifyContent: 'space-between',
    },
});
const Footer = ({ classes, children }) => (_jsx("div", Object.assign({ className: classes.root }, { children: _jsx(Row, Object.assign({ className: classes.row }, { children: children }), void 0) }), void 0));
export default withStyles(styles)(Footer);
//# sourceMappingURL=Footer.js.map