import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import Row from '../../layout/Row';
import withStyles, { createStyles } from '../withStyles';
const styles = (theme) => createStyles({
    root: {
        display: 'flex',
        fontWeight: 500,
        backgroundColor: theme.popover.contentBackground,
        paddingLeft: theme.spacing(2),
        paddingRight: theme.spacing(2),
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        borderBottom: '1px solid transparent',
        '&:not(:last-child)': {
            borderBottomColor: theme.palette.action.selected,
        },
    },
    cursorPointer: {
        cursor: 'pointer',
    },
    row: {
        alignItems: 'center',
    },
});
const Item = ({ classes, children, onClick }) => (_jsx("div", Object.assign({ className: cn(classes.root, onClick && classes.cursorPointer), onClick: onClick }, { children: _jsx(Row, Object.assign({ className: classes.row }, { children: children }), void 0) }), void 0));
export default withStyles(styles)(Item);
//# sourceMappingURL=Item.js.map