import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './Popover.styles';
import { XPosition, YPosition } from './translations';
export interface PopoverProps extends WithStyles<typeof styles> {
    /** Opens the popover when true */
    open: boolean;
    /** The corner of the popover to use for positioning */
    anchor: [YPosition, XPosition];
    /** The corner of the container to fix the anchor to */
    to: [YPosition, XPosition];
    width?: 'auto';
    height?: 'auto';
    /** Called when the user clicks the overlay  */
    onOverlayClick: () => any;
    /** The popover contents */
    children: React.ReactNode;
}
export declare const Popover: React.FC<PopoverProps>;
declare const _default: React.FC<Pick<PopoverProps & {
    children?: React.ReactNode;
}, "height" | "width" | "open" | "children" | "anchor" | "to" | "onOverlayClick"> & import("@material-ui/core").StyledComponentProps<"popover" | "overlay" | "autoHeight" | "popoverContainer" | "autoWidth"> & import("../ThemeSelector").ThemeProps> & {
    Anchor: React.ComponentType<Pick<import("./Anchor").AnchorProps & {
        children?: React.ReactNode;
    }, "children" | "fullWidth"> & import("@material-ui/core").StyledComponentProps<"root" | "fullWidth">>;
    Item: React.ComponentType<Pick<import("./Item").ItemProps & {
        children?: React.ReactNode;
    }, "children" | "onClick"> & import("@material-ui/core").StyledComponentProps<"row" | "root" | "cursorPointer">>;
    Header: React.ComponentType<Pick<import("./Header").TitleProps & {
        children?: React.ReactNode;
    }, "children"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Body: React.ComponentType<Pick<import("./Body").BodyProps & {
        children?: React.ReactNode;
    }, "children"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Footer: React.ComponentType<Pick<import("./Footer").FooterProps & {
        children?: React.ReactNode;
    }, "children"> & import("@material-ui/core").StyledComponentProps<"row" | "root">>;
};
export default _default;
