import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import cn from 'classnames';
import Overlay from '../../internal/Overlay';
import Hidden from '../../layout/Hidden';
import withStyles from '../withStyles';
import withThemeSelector from '../withThemeSelector';
import Anchor from './Anchor';
import Body from './Body';
import Footer from './Footer';
import Header from './Header';
import Item from './Item';
import styles from './Popover.styles';
import PopoverPortal from './PopoverPortal';
import translations from './translations';
export const Popover = ({ classes, open = false, anchor = ['top', 'left'], to = ['bottom', 'left'], width, height, onOverlayClick, children, }) => {
    if (!open)
        return null;
    const anchorY = anchor[0];
    const anchorX = anchor[1];
    const toY = to[0];
    const toX = to[1];
    const translate = translations[anchorY][anchorX][toY][toX];
    const className = cn(classes.popover, width === 'auto' && classes.autoWidth, height === 'auto' && classes.autoHeight);
    return (_jsxs(_Fragment, { children: [_jsx(PopoverPortal, { children: _jsx(Hidden, Object.assign({ mdUp: true }, { children: _jsxs("div", Object.assign({ className: classes.popoverContainer }, { children: [_jsx(Overlay, { onClick: onOverlayClick }, void 0), _jsx("div", Object.assign({ className: className }, { children: children }), void 0)] }), void 0) }), void 0) }, void 0), _jsxs(Hidden, Object.assign({ smDown: true }, { children: [_jsx(Overlay, { className: classes.overlay, onClick: onOverlayClick }, void 0), _jsx("div", Object.assign({ className: className, style: {
                            [toY]: -2,
                            [toX]: 0,
                            transform: `translate(${translate[0]}%, ${translate[1]}%)`,
                            width,
                        } }, { children: children }), void 0)] }), void 0)] }, void 0));
};
export default Object.assign(withThemeSelector(withStyles(styles)(Popover)), {
    Anchor,
    Item,
    Header,
    Body,
    Footer,
});
//# sourceMappingURL=Popover.js.map