import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUIFormControl from '@material-ui/core/FormControl';
import MUIFormLabel from '@material-ui/core/FormLabel';
import MUIRadioGroup from '@material-ui/core/RadioGroup';
import cn from 'classnames';
import { testAttr } from '../../helpers';
import withStyles, { createStyles } from '../withStyles';
import Option from './RadioGroupOption';
export const RadioGroup = ({ label = '', value, inline, onChange, children, classes, testId, }) => (_jsxs(MUIFormControl, { children: [label && (_jsx(MUIFormLabel, Object.assign({ component: "legend", classes: { root: classes.label } }, { children: label }), void 0)), _jsx(MUIRadioGroup, Object.assign({ value: value, onChange: (_, updatedValue) => {
                if (onChange) {
                    onChange(updatedValue);
                }
            }, classes: { root: cn(classes.group, inline && classes.inline) } }, testAttr(testId), { children: children }), void 0)] }, void 0));
const styles = (theme) => createStyles({
    label: {
        fontSize: theme.fontSizes.sm,
        color: theme.palette.text.secondary,
    },
    inline: {
        flexDirection: 'row',
        flexWrap: 'nowrap',
    },
    group: {
        paddingTop: theme.spacing(0.5),
        paddingBottom: theme.spacing(0.5),
    },
});
export default Object.assign(withStyles(styles)(RadioGroup), {
    Option,
});
//# sourceMappingURL=RadioGroup.js.map