import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createStyles } from '@material-ui/core/styles';
import { pluralize } from '../../helpers/pluralize';
import Column from '../../layout/Column';
import Row from '../../layout/Row/index';
import * as S from '../../sequence/sequenceTypes';
import Text from '../../typography/Text';
import SelectField from '../SelectField';
import ToggleButtonGroup from '../ToggleButtonGroup';
import { makeStyles } from '../../styles';
const generateArrayRange = (start, end) => {
    const length = end - start + 1;
    return Array.from(Array(length).keys(), (x) => x + start);
};
const frequencies = {
    [S.Frequency.weekly]: {
        label: 'week',
        intervals: generateArrayRange(1, 10),
    },
    [S.Frequency.monthly]: {
        label: 'month',
        intervals: generateArrayRange(1, 12),
    },
};
const monthDayOptions = generateArrayRange(1, 31);
const initialValues = {
    dtstart: '',
    freq: S.Frequency.weekly,
    interval: 1,
    byday: [],
    bymonthday: [],
};
const RecurrenceSelector = ({ onChange, value = initialValues, testId, }) => {
    const classes = useStyles();
    return (_jsxs(Column, { children: [_jsx(Text, Object.assign({ bold: true, small: true }, { children: "REPEAT EVERY" }), void 0), _jsxs(Row, { children: [_jsx("div", Object.assign({ className: classes.intervalSelector }, { children: _jsx(SelectField, Object.assign({ value: String(value === null || value === void 0 ? void 0 : value.interval), onChange: (interval) => onChange(Object.assign(Object.assign({}, (value !== null && value !== void 0 ? value : initialValues)), { interval: parseInt(interval, 10) })), testId: `${testId}-interval` }, { children: frequencies[(value === null || value === void 0 ? void 0 : value.freq) ? value.freq : initialValues.freq].intervals.map((o) => (_jsx("option", Object.assign({ value: o }, { children: o }), o))) }), void 0) }), void 0), _jsx("div", Object.assign({ className: classes.frequencySelector }, { children: _jsx(SelectField, Object.assign({ value: value === null || value === void 0 ? void 0 : value.freq, onChange: (freq) => {
                                onChange(Object.assign(Object.assign({}, (value !== null && value !== void 0 ? value : initialValues)), { freq: freq, interval: initialValues.interval, byday: initialValues.byday, bymonthday: initialValues.bymonthday }));
                            }, testId: `${testId}-frequency` }, { children: Object.entries(frequencies).map(([k, { label }]) => {
                                var _a;
                                return (_jsx("option", Object.assign({ value: k }, { children: pluralize(label, (_a = value === null || value === void 0 ? void 0 : value.interval) !== null && _a !== void 0 ? _a : initialValues.interval) }), k));
                            }) }), void 0) }), void 0)] }, void 0), _jsx(Text, Object.assign({ bold: true, small: true }, { children: "ON" }), void 0), _jsxs("div", { children: [(value === null || value === void 0 ? void 0 : value.freq) === S.Frequency.monthly && (_jsxs(SelectField, Object.assign({ label: "Day", value: value.bymonthday ? String(value.bymonthday[0]) : '', onChange: (day) => onChange(Object.assign(Object.assign({}, value), { bymonthday: day ? [parseInt(day, 10)] : [] })), testId: `${testId}-bymonthday` }, { children: [_jsx("option", Object.assign({ value: "" }, { children: "Use start date" }), "Use start date"), monthDayOptions.map((v) => (_jsx("option", Object.assign({ value: v }, { children: v }), v))), _jsx("option", Object.assign({ value: -1 }, { children: "Last" }), "Last")] }), void 0)), (value === null || value === void 0 ? void 0 : value.freq) === S.Frequency.weekly && (_jsx(ToggleButtonGroup, Object.assign({ value: value.byday, onChange: (day) => onChange(Object.assign(Object.assign({}, value), { byday: day })) }, { children: Object.entries(S.DaysOfWeek).map(([value, label]) => (_jsx(ToggleButtonGroup.Button, Object.assign({ value: value }, { children: label }), value))) }), void 0))] }, void 0)] }, void 0));
};
const useStyles = makeStyles(() => {
    return createStyles({
        frequencySelector: {
            flex: 7,
        },
        intervalSelector: {
            flex: 3,
        },
    });
});
export default RecurrenceSelector;
//# sourceMappingURL=RecurrenceSelector.js.map