import * as React from 'react';
export interface SelectFieldProps {
    /** The label of the text field */
    label?: string;
    /** The label of the text field */
    value?: string;
    /** Set to true to display input with error */
    error?: boolean;
    /** Set to true to disable in the input */
    disabled?: boolean;
    /** Optional helper text */
    helperText?: React.ReactNode;
    /** Called when the value changes */
    onChange?: (value: string) => any;
    /** Called when the input loses focus */
    onBlur?: React.FocusEventHandler<any>;
    /** The <option>s of the select */
    children: React.ReactNode;
    testId?: string;
    native?: boolean;
    maxWidth?: string | number;
    displayEmpty?: boolean;
    renderValue?: (value: any) => React.ReactNode;
}
export declare const SelectField: React.FunctionComponent<SelectFieldProps>;
declare const _default: React.FunctionComponent<SelectFieldProps> & {
    Item: React.FunctionComponent<import("./SelectFieldItem").SeletFieldItemProps>;
};
export default _default;
