import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import SelectField from './SelectField';
export default {
    title: 'Components/SelectField',
    component: SelectField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return _jsx(SelectField, Object.assign({}, args, { value: value, onChange: handleOnChange }), void 0);
};
export const Default = Template.bind({});
Default.args = {
    label: 'Select',
    children: [
        _jsx("option", Object.assign({ value: "opt1" }, { children: "Option 1" }), void 0),
        _jsx("option", Object.assign({ value: "opt2" }, { children: "Option 2" }), void 0),
        _jsx("option", Object.assign({ value: "opt3" }, { children: "Option 3" }), void 0),
    ],
};
export const HelperText = Template.bind({});
HelperText.args = Object.assign(Object.assign({}, Default.args), { helperText: 'Helper text (optional)' });
export const Disabled = Template.bind({});
Disabled.args = Object.assign(Object.assign({}, HelperText.args), { label: 'Disabled', disabled: true });
export const Error = Template.bind({});
Error.args = Object.assign(Object.assign({}, HelperText.args), { label: 'Error', error: true });
export const WithThumbnail = Template.bind({});
WithThumbnail.args = Object.assign(Object.assign({}, HelperText.args), { label: 'With thumbnail', native: false, children: [
        _jsx(SelectField.Item, Object.assign({ value: "opt1", thumbnailUrl: "https://assets.raydiant.com/images/dropbox.png" }, { children: "Dropbox" }), void 0),
        _jsx(SelectField.Item, Object.assign({ value: "opt2", thumbnailUrl: "https://assets.raydiant.com/images/google-drive.png" }, { children: "Google Drive" }), void 0),
        _jsx(SelectField.Item, Object.assign({ value: "opt3", thumbnailUrl: "https://assets.raydiant.com/images/unsplash.png" }, { children: "Unsplash" }), void 0),
    ] });
//# sourceMappingURL=SelectField.stories.js.map