import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './Switch.styles';
export interface SwitchProps extends WithStyles<typeof styles> {
    /** Whether or not the input is checked */
    checked: boolean;
    /** The label of the input */
    label?: React.ReactNode;
    /** Set to true to disable the input */
    disabled?: boolean;
    /** Called when the checked state changes */
    onChange?: (checked: boolean) => void;
    /** Additional information to help the user fill the field. */
    helperText?: React.ReactNode;
    testId?: string;
}
export declare const Switch: React.FC<SwitchProps>;
declare const _default: React.ComponentType<Pick<SwitchProps & {
    children?: React.ReactNode;
}, "disabled" | "children" | "label" | "onChange" | "checked" | "testId" | "helperText"> & import("@material-ui/core").StyledComponentProps<"disabled" | "root" | "track" | "checked" | "focusVisible" | "control" | "helper" | "helperDisabled" | "switchContainer" | "switchInner" | "switchRoot" | "switchBase" | "thumb">>;
export default _default;
