import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Link from '../Link';
import SwitchDefault, { Switch } from './Switch';
export default {
    title: 'Components/Switch',
    component: Switch,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [checked, setChecked] = useState(args.checked);
    useEffect(() => {
        setChecked(args.checked);
    }, [args.checked]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setChecked(value);
    };
    return (_jsx(SwitchDefault, Object.assign({}, args, { checked: checked, onChange: handleOnChange }), void 0));
};
export const Default = Template.bind({});
Default.args = {};
export const Label = Template.bind({});
Label.args = {
    label: 'Label',
};
export const HelperText = Template.bind({});
HelperText.args = {
    helperText: 'Helper Text',
    label: 'Helper Text',
};
export const HelperLink = Template.bind({});
HelperLink.args = {
    label: 'Helper Link',
    helperText: _jsx(Link, { children: "Helper Link" }, void 0),
};
//# sourceMappingURL=Switch.stories.js.map