import * as React from 'react';
import { IconOptions } from '../Icon';
import { WithStyles } from '../withStyles';
import styles from './TabItem.styles';
export interface TabProps extends WithStyles<typeof styles> {
    /** The label of the tab */
    label: string;
    /** Set to true when the tab is selected */
    active: boolean;
    /** The icon of the tab */
    icon?: IconOptions;
    /** Set href to render an anchor  */
    href?: string;
    /** Set to true to disable growing  */
    shrink?: boolean;
    /** Called when the tab is clicked */
    onClick?: () => any;
    testId?: string;
}
export declare const Tab: React.FC<TabProps>;
declare const _default: React.ComponentType<Pick<TabProps & {
    children?: React.ReactNode;
}, "active" | "icon" | "children" | "label" | "onClick" | "href" | "testId" | "shrink"> & import("@material-ui/core").StyledComponentProps<"active" | "icon" | "root" | "label" | "shrink" | "labelNoIcon">>;
export default _default;
