import * as React from 'react';
import { TypographyProps } from '../../internal/Typography';
import { WithStyles } from '../../core/withStyles';
import styles from './Text.styles';
interface TextProps extends TypographyProps, WithStyles<typeof styles> {
    editable?: boolean;
    value?: string;
    maxWidth?: string | number;
    autoFocus?: boolean;
    error?: boolean;
    onChange?: (value: string) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
    onFocus?: (event: React.FocusEvent<HTMLInputElement>) => void;
}
export declare const Text: React.FunctionComponent<TextProps>;
declare const _default: React.ComponentType<Pick<TextProps & React.RefAttributes<unknown>, "bold" | "maxWidth" | "large" | "medium" | "small" | "center" | "ellipsis" | "nowrap" | "error" | "className" | "onFocus" | "onBlur" | "onChange" | "autoFocus" | "value" | "muted" | keyof React.RefAttributes<unknown> | "xxsmall" | "xsmall" | "xlarge" | "xxlarge" | "xxxlarge" | "strikethrough" | "tag" | "editable"> & import("@material-ui/core").StyledComponentProps<"error" | "input">>;
export default _default;
