import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import InputHelperText from '../InputHelperText';
import InputLabel from '../InputLabel';
import Input from '../Input';
import useStyles from './TextField.styles';
export const TextField = ({ label, value = '', type = 'text', placeholder, readOnly = false, error = false, disabled = false, maxWidth, maxLength, multiline = false, multilineHeight, autoFocus = false, helperText = '', icon = null, mask, maskGuide = false, maskPlaceholderChar = '_', keepCharPositions = false, pipe, onChange, onBlur, onFocus, onClick, testId, }, ref) => {
    const classes = useStyles();
    return (_jsxs("div", Object.assign({ className: classes.root, style: { maxWidth } }, { children: [_jsx(InputLabel, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), _jsx(Input, { ref: ref, type: type, readOnly: readOnly, placeholder: placeholder, icon: icon, multiline: multiline, multilineHeight: multilineHeight, mask: mask, maskGuide: maskGuide, maskPlaceholderChar: maskPlaceholderChar, keepCharPositions: keepCharPositions, pipe: pipe, value: value, maxLength: maxLength, onBlur: onBlur, onFocus: onFocus, autoFocus: autoFocus, onChange: onChange, onClick: onClick, disabled: disabled, error: error, testId: testId }, void 0), helperText && (_jsx(InputHelperText, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
// @ts-ignore
export default React.forwardRef(TextField);
//# sourceMappingURL=TextField.js.map