import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import TimeField from './TimeField';
export default {
    title: 'Components/TimeField',
    component: TimeField,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return _jsx(TimeField, Object.assign({}, args, { value: value, onChange: handleOnChange }), void 0);
};
export const Default = Template.bind({});
Default.args = {
    value: '07:00',
    label: 'Text',
};
export const Error = Template.bind({});
Error.args = {
    value: '08:00',
    helperText: 'Helper text (optional)',
    error: true,
};
export const Disabled = Template.bind({});
Disabled.args = {
    disabled: true,
    value: '09:00',
};
//# sourceMappingURL=TimeField.stories.js.map