import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
export declare const AddDeviceMinHeight = 400;
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "screen" | "root" | "form" | "heading" | "cta" | "subHeading" | "audioOnly" | "audioOnlyLabel">;
export interface AddDeviceProps {
    headingText: string;
    onRegister: (props: {
        activationCode: string;
        name: string;
        isAudioOnly: boolean;
    }) => void;
    loading?: boolean;
    error?: string;
    hideAudioOnly?: boolean;
}
interface AddDevicePropsWithStyles extends AddDeviceProps, WithStyles<typeof styles> {
    testId?: string;
}
interface AddDeviceState {
    activationCode: string;
    name: string;
    isAudioOnly: boolean;
}
export declare class AddDevice extends React.Component<AddDevicePropsWithStyles, AddDeviceState> {
    state: {
        activationCode: string;
        name: string;
        isAudioOnly: boolean;
    };
    handleSubmitRegisterDeviceForm: () => void;
    renderAudioOnly(): JSX.Element | null;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<AddDevicePropsWithStyles, "error" | "loading" | "testId" | "headingText" | "onRegister" | "hideAudioOnly"> & import("@material-ui/core").StyledComponentProps<"screen" | "root" | "form" | "heading" | "cta" | "subHeading" | "audioOnly" | "audioOnlyLabel">>;
export default _default;
