import { jsx as _jsx } from "react/jsx-runtime";
import Media from 'react-media';
import Popover from '../../core/Popover';
import withStyles, { createStyles } from '../../core/withStyles';
import AddDevice, { AddDeviceMinHeight } from '../AddDevice';
const styles = (theme) => createStyles({
    root: {
        padding: theme.spacing(2),
    },
});
export const AddDevicePopover = ({ open = false, headingText, onClose, onRegister, error, classes, testId, hideAudioOnly, loading, }) => {
    const popoverProps = {
        open,
        anchor: ['top', 'left'],
        to: ['bottom', 'left'],
        onOverlayClick: onClose,
    };
    const contents = (_jsx("div", Object.assign({ className: classes.root }, { children: _jsx(AddDevice, { headingText: headingText, onRegister: onRegister, error: error, testId: testId, hideAudioOnly: hideAudioOnly, loading: loading }, void 0) }), void 0));
    return (_jsx(Media, Object.assign({ query: `(min-height: ${AddDeviceMinHeight}px)` }, { children: (matches) => matches ? (_jsx(Popover, Object.assign({}, popoverProps, { height: "auto" }, { children: contents }), void 0)) : (_jsx(Popover, Object.assign({}, popoverProps, { width: "auto", height: "auto" }, { children: contents }), void 0)) }), void 0));
};
export default withStyles(styles)(AddDevicePopover);
//# sourceMappingURL=AddDevicePopover.js.map