import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import ErrorIcon from '@material-ui/icons/Error';
import Button from '../../core/Button';
import Popover from '../../core/Popover';
import withStyles, { createStyles } from '../../core/withStyles';
import Hidden from '../../layout/Hidden';
import Spacer from '../../layout/Spacer';
import Row from '../../layout/Row';
import Text from '../../typography/Text';
const styles = (theme) => createStyles({
    warning: {
        display: 'flex',
        fontSize: theme.fontSizes.sm,
        marginRight: theme.spacing(1),
        lineHeight: 1.5,
    },
    icon: {
        color: theme.palette.warning.main,
        backgroundColor: theme.palette.primary.main,
        borderRadius: 100,
    },
});
export const AffectedDevicesPopover = ({ devices = [], open, onClose, testId, classes, }) => {
    const screensText = devices.length === 1 ? 'this screen' : 'these screens';
    return (_jsxs(Popover, Object.assign({ anchor: ['bottom', 'left'], to: ['top', 'left'], open: open, onOverlayClick: onClose }, { children: [_jsx(Popover.Header, { children: _jsxs(Row, Object.assign({ halfMargin: true }, { children: [_jsx(ErrorIcon, { className: classes.icon }, void 0), _jsxs(Text, Object.assign({ small: true }, { children: ["Saving these changes will overwrite content on ", screensText] }), void 0), _jsx(Hidden, Object.assign({ smDown: true }, { children: _jsx(Button, { label: "Got it", onClick: onClose, testId: testId ? `${testId}-ok` : '' }, void 0) }), void 0)] }), void 0) }, void 0), _jsx(Popover.Body, { children: devices.map((device) => (_jsx(Popover.Item, { children: device.name }, device.id))) }, void 0), _jsx(Hidden, Object.assign({ mdUp: true }, { children: _jsxs(Popover.Footer, { children: [_jsx(Spacer, {}, void 0), _jsx(Button, { label: "Got it", onClick: onClose, testId: testId ? `${testId}-ok` : '' }, void 0)] }, void 0) }), void 0)] }), void 0));
};
export default withStyles(styles)(AffectedDevicesPopover);
//# sourceMappingURL=AffectedDevicesPopover.js.map