import { jsx as _jsx } from "react/jsx-runtime";
import Icon from '../../core/Icon';
import SVGIcon from '../../core/SVGIcon';
import withStyles from '../../core/withStyles';
import styles from './ConnectionIndicator.styles';
const ConnectionIndicator = ({ signalStrength, isEthernet, isLTE, classes }) => {
    if (isEthernet) {
        return _jsx(SVGIcon, { className: classes.root, icon: "ethernet" }, void 0);
    }
    if (!signalStrength) {
        return _jsx(SVGIcon, { icon: "wifiNone" }, void 0);
    }
    if (isLTE) {
        if (signalStrength > 80) {
            return _jsx(Icon, { className: classes.root, icon: "lteFull" }, void 0);
        }
        if (signalStrength > 40) {
            return _jsx(Icon, { className: classes.root, icon: "lteMedium" }, void 0);
        }
        if (signalStrength > 0) {
            return _jsx(Icon, { className: classes.root, icon: "lteLow" }, void 0);
        }
        if (signalStrength === 0) {
            return _jsx(Icon, { className: classes.root, icon: "lteNone" }, void 0);
        }
    }
    if (signalStrength > 80) {
        return _jsx(SVGIcon, { className: classes.root, icon: "wifiFull" }, void 0);
    }
    if (signalStrength > 50) {
        return _jsx(SVGIcon, { className: classes.root, icon: "wifiHigh" }, void 0);
    }
    if (signalStrength > 20) {
        return _jsx(SVGIcon, { className: classes.root, icon: "wifiMedium" }, void 0);
    }
    if (signalStrength > 0) {
        return _jsx(SVGIcon, { className: classes.root, icon: "wifiLow" }, void 0);
    }
    if (signalStrength === 0) {
        return _jsx(SVGIcon, { className: classes.root, icon: "wifiNone" }, void 0);
    }
    // TODO: Unknown connection status, possibly still fetching or failed.
    // Consider showing a loading indicator.
    return _jsx(SVGIcon, { icon: "wifiNone" }, void 0);
};
export default withStyles(styles)(ConnectionIndicator);
//# sourceMappingURL=ConnectionIndicator.js.map