import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Button from '../../core/Button';
import withStyles from '../../core/withStyles';
import { stopPropagation } from '../../helpers';
import Hidden from '../../layout/Hidden';
import Row from '../../layout/Row';
import ConnectionStatus from './DeviceListConnectionStatus';
import styles from './DeviceListDevice.styles';
const audioDeviceThumbnailURL = 'https://assets.raydiant.com/images/audio-device-thumbnail.svg';
const DeviceListAudioDevice = ({ classes, device, signalStrength, isOnline, isEthernet, isLTE, onConnectivityWizard, onSettings, onClick, }) => {
    return (_jsxs(Row, Object.assign({ className: classes.root, center: true, onClick: onClick }, { children: [_jsxs(Row, Object.assign({ className: classes.deviceInfo, center: true }, { children: [_jsx(Hidden, Object.assign({ smDown: true }, { children: _jsx("div", { style: { backgroundImage: `url(${audioDeviceThumbnailURL})` }, className: classes.thumbnail }, void 0) }), void 0), _jsxs("div", { children: [_jsxs("div", Object.assign({ className: classes.name }, { children: [device.name, " [audio mode]"] }), void 0), _jsx(ConnectionStatus, { device: device, signalStrength: signalStrength, isOnline: isOnline, isEthernet: isEthernet, isLTE: isLTE, onConnectivityWizard: onConnectivityWizard }, void 0)] }, void 0)] }), void 0), _jsx(Row, Object.assign({ className: classes.deviceActions, center: true }, { children: onSettings && (_jsx(Button, { icon: "settings", hideBorder: true, onClick: stopPropagation(onSettings) }, void 0)) }), void 0)] }), void 0));
};
export default withStyles(styles)(DeviceListAudioDevice);
//# sourceMappingURL=DeviceListAudioDevice.js.map