import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import AlertIcon from '../../core/AlertIcon';
import Link from '../../core/Link';
import SuccessIcon from '../../core/SuccessIcon';
import { stopPropagation } from '../../helpers';
import Row from '../../layout/Row';
import Text from '../../typography/Text';
import ConnectionIndicator from '../ConnectionIndicator/ConnectionIndicator';
export const NEW_PLAYLIST_VALUE = 'new';
const ConnectionStatus = ({ device, signalStrength, isEthernet, isLTE, isOnline, onConnectivityWizard, }) => {
    if (!device.resinUuid) {
        return null;
    }
    return (_jsxs(Row, Object.assign({ halfMargin: true, center: true }, { children: [isOnline ? _jsx(SuccessIcon, {}, void 0) : _jsx(AlertIcon, {}, void 0), isOnline && (_jsx(ConnectionIndicator, { signalStrength: signalStrength, isEthernet: isEthernet, isLTE: isLTE }, void 0)), isOnline ? _jsx(Text, Object.assign({ small: true }, { children: "Online" }), void 0) : _jsx(Text, Object.assign({ small: true }, { children: "Offline" }), void 0), !isOnline && onConnectivityWizard && (_jsx(Text, Object.assign({ small: true }, { children: _jsx(Link, Object.assign({ onClick: stopPropagation(onConnectivityWizard) }, { children: "Need help?" }), void 0) }), void 0))] }), void 0));
};
export default ConnectionStatus;
//# sourceMappingURL=DeviceListConnectionStatus.js.map