import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import * as D from '../DeviceTypes';
import styles from './DeviceListDevice.styles';
export interface DeviceListDeviceProps extends WithStyles<typeof styles> {
    device: D.Device;
    playlistsByOwner: D.PlaylistsByOwner;
    currentUserProfileId: string;
    thumbnail?: string;
    signalStrength?: number;
    isOnline?: boolean;
    isEthernet?: boolean;
    isLTE?: boolean;
    needsPublish?: boolean;
    disablePublish: boolean;
    onSelectPlaylist?: (playlistId: string) => void;
    onEditPlaylist?: (playlistId: string) => void;
    onCreatePlaylist?: () => void;
    onPublish?: () => void;
    onConnectivityWizard?: () => void;
    onSettings?: () => void;
    onClick?: () => void;
}
export declare const DeviceListDevice: React.FC<DeviceListDeviceProps>;
declare const _default: React.ComponentType<Pick<DeviceListDeviceProps & {
    children?: React.ReactNode;
}, "children" | "onClick" | "thumbnail" | "signalStrength" | "isEthernet" | "isLTE" | "device" | "isOnline" | "onConnectivityWizard" | "onSettings" | "playlistsByOwner" | "currentUserProfileId" | "onCreatePlaylist" | "onEditPlaylist" | "onSelectPlaylist" | "needsPublish" | "disablePublish" | "onPublish"> & import("@material-ui/core").StyledComponentProps<"root" | "name" | "thumbnail" | "deviceInfo" | "deviceActions">>;
export default _default;
