import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import Button from '../../core/Button';
import withStyles from '../../core/withStyles';
import { stopPropagation } from '../../helpers';
import Column from '../../layout/Column';
import Hidden from '../../layout/Hidden';
import Row from '../../layout/Row';
import Spacer from '../../layout/Spacer';
import ConnectionStatus from './DeviceListConnectionStatus';
import styles from './DeviceListDevice.styles';
import PlaylistSelector from './DeviceListPlaylistSelector';
const DeviceListDeviceMobile = ({ classes, device, playlistsByOwner, currentUserProfileId, signalStrength, isOnline, isEthernet, isLTE, needsPublish, disablePublish, onSelectPlaylist, onEditPlaylist, onCreatePlaylist, onPublish, onConnectivityWizard, onSettings, }) => {
    return (_jsxs(Column, Object.assign({ className: classes.root }, { children: [_jsxs(Row, Object.assign({ center: true }, { children: [_jsx("div", Object.assign({ className: classes.name }, { children: device.name }), void 0), _jsx(Spacer, {}, void 0), onSettings && (_jsx(Button, { icon: "settings", hideBorder: true, onClick: onSettings }, void 0))] }), void 0), _jsxs(Row, Object.assign({ center: true }, { children: [_jsx(PlaylistSelector
                    // @ts-ignore
                    , { 
                        // @ts-ignore
                        value: device.playlistId, playlistsByOwner: playlistsByOwner, currentUserProfileId: currentUserProfileId, onSelectPlaylist: onSelectPlaylist, onEditPlaylist: onEditPlaylist, onCreatePlaylist: onCreatePlaylist }, void 0), needsPublish && onPublish && (_jsx(Button, { color: "progress", icon: "publish", disabled: disablePublish, onClick: onPublish }, void 0))] }), void 0), _jsx(ConnectionStatus, { device: device, signalStrength: signalStrength, isOnline: isOnline, isEthernet: isEthernet, isLTE: isLTE, onConnectivityWizard: onConnectivityWizard }, void 0)] }), void 0));
};
const DeviceListDeviceDesktop = ({ classes, device, playlistsByOwner, currentUserProfileId, thumbnail, signalStrength, isOnline, isEthernet, isLTE, needsPublish, disablePublish, onSelectPlaylist, onEditPlaylist, onCreatePlaylist, onPublish, onConnectivityWizard, onSettings, onClick, }) => {
    return (_jsxs(Row, Object.assign({ className: classes.root, center: true, onClick: onClick }, { children: [_jsxs(Row, Object.assign({ className: classes.deviceInfo, center: true }, { children: [_jsx(Hidden, Object.assign({ smDown: true }, { children: _jsx("div", { style: { backgroundImage: thumbnail ? `url(${thumbnail})` : '' }, className: classes.thumbnail }, void 0) }), void 0), _jsxs("div", { children: [_jsx("div", Object.assign({ className: classes.name }, { children: device.name }), void 0), _jsx(ConnectionStatus, { device: device, signalStrength: signalStrength, isOnline: isOnline, isEthernet: isEthernet, isLTE: isLTE, onConnectivityWizard: onConnectivityWizard }, void 0)] }, void 0)] }), void 0), _jsx(PlaylistSelector
            // @ts-ignore
            , { 
                // @ts-ignore
                value: device.playlistId, playlistsByOwner: playlistsByOwner, currentUserProfileId: currentUserProfileId, onSelectPlaylist: onSelectPlaylist, onEditPlaylist: onEditPlaylist, onCreatePlaylist: onCreatePlaylist }, void 0), _jsxs(Row, Object.assign({ className: classes.deviceActions, center: true }, { children: [needsPublish && onPublish && (_jsx(Button, { color: "progress", icon: "publish", label: "Publish", disabled: disablePublish, onClick: stopPropagation(onPublish) }, void 0)), onSettings && (_jsx(Button, { icon: "settings", hideBorder: true, onClick: stopPropagation(onSettings) }, void 0))] }), void 0)] }), void 0));
};
export const DeviceListDevice = (props) => (_jsxs(_Fragment, { children: [_jsx(Hidden, Object.assign({ xsDown: true }, { children: _jsx(DeviceListDeviceDesktop, Object.assign({}, props), void 0) }), void 0), _jsx(Hidden, Object.assign({ smUp: true }, { children: _jsx(DeviceListDeviceMobile, Object.assign({}, props), void 0) }), void 0)] }, void 0));
export default withStyles(styles)(DeviceListDevice);
//# sourceMappingURL=DeviceListDevice.js.map