import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Button from '../../core/Button';
import SelectField from '../../core/SelectField';
import withStyles, { createStyles } from '../../core/withStyles';
import { stopPropagation } from '../../helpers';
import Row from '../../layout/Row';
export const NEW_PLAYLIST_VALUE = 'new';
const PlaylistSelector = ({ classes, value, playlistsByOwner, currentUserProfileId, onCreatePlaylist, onEditPlaylist, onSelectPlaylist, }) => {
    const myGroup = playlistsByOwner[currentUserProfileId];
    const allGroups = Object.values(playlistsByOwner);
    const allPlaylists = allGroups.reduce((a, b) => {
        a.push(...b.playlists);
        return a;
    }, []);
    const selectedPlaylist = allPlaylists.find((pl) => pl.id === value);
    const playlistIsDeleted = value && !selectedPlaylist;
    const shouldAddEmptyOption = !value || !!playlistIsDeleted;
    const shouldDisabledSelect = !onSelectPlaylist;
    return (_jsx("div", Object.assign({ className: classes.root, onClick: stopPropagation() }, { children: allPlaylists.length === 0 ? (onCreatePlaylist && (_jsx(Button, { fullWidth: true, color: "primary", label: "Create a Playlist", onClick: onCreatePlaylist }, void 0))) : (_jsxs(Row, { children: [_jsxs(SelectField, Object.assign({ label: shouldAddEmptyOption ? 'Select a playlist' : 'Playlist', value: playlistIsDeleted ? '' : value, disabled: shouldDisabledSelect, onChange: (playlistId) => {
                        if (playlistId === NEW_PLAYLIST_VALUE && onCreatePlaylist) {
                            onCreatePlaylist();
                        }
                        else if (onSelectPlaylist) {
                            onSelectPlaylist(playlistId);
                        }
                    } }, { children: [shouldAddEmptyOption && _jsx("option", { value: "" }, void 0), _jsx("option", Object.assign({ value: NEW_PLAYLIST_VALUE }, { children: "New Empty Playlist" }), void 0), _jsx("option", Object.assign({ value: "new-separator", disabled: true }, { children: "--------------------------" }), void 0), myGroup.playlists.map((pl) => (_jsx("option", Object.assign({ value: pl.id }, { children: pl.name }), pl.id))), allGroups.map(({ profile, playlists }) => {
                            if (profile.id === myGroup.profile.id) {
                                return null;
                            }
                            return (_jsx("optgroup", Object.assign({ label: profile.name }, { children: playlists.map((pl) => (_jsx("option", Object.assign({ value: pl.id }, { children: pl.name }), pl.id))) }), profile.id));
                        })] }), void 0), onEditPlaylist && (_jsx(Button, { icon: "edit", disabled: shouldAddEmptyOption, onClick: () => onEditPlaylist(value) }, void 0))] }, void 0)) }), void 0));
};
const styles = (theme) => createStyles({
    root: {
        width: '100%',
        maxWidth: 280,
        [theme.breakpoints.down('xs')]: {
            maxWidth: 'none',
        },
    },
});
export default withStyles(styles)(PlaylistSelector);
//# sourceMappingURL=DeviceListPlaylistSelector.js.map