const throttle = (fn, timeoutFn) => {
    let blocked = false;
    // @ts-ignore
    let nextArgs = null;
    const unblock = () => {
        blocked = false;
        if (nextArgs) {
            fn(...nextArgs);
            // @ts-ignore
            nextArgs = null;
        }
    };
    return (...args) => {
        if (!blocked) {
            blocked = true;
            timeoutFn(unblock, ...args);
            fn(...args);
        }
        else {
            nextArgs = args;
        }
    };
};
export default throttle;
//# sourceMappingURL=throttle.js.map