import { InputBaseComponentProps } from '@material-ui/core/InputBase';
import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Input.styles';
interface InputProps extends WithStyles<typeof styles> {
    value?: string;
    type?: 'text' | 'email' | 'password' | 'tel' | 'search' | 'url' | 'number' | 'time';
    placeholder?: string;
    fullWidth?: boolean;
    disabled?: boolean;
    multiline?: boolean;
    multilineHeight?: string | number;
    icon?: React.ReactNode;
    inputProps?: {
        [key: string]: any;
    };
    inputRef?: React.Ref<HTMLInputElement>;
    inputComponent?: React.ReactType<InputBaseComponentProps>;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement | HTMLInputElement>;
    onKeyUp?: React.KeyboardEventHandler<HTMLTextAreaElement | HTMLInputElement>;
    onKeyDown?: React.KeyboardEventHandler<HTMLTextAreaElement | HTMLInputElement>;
    onBlur?: React.FocusEventHandler<any>;
    onFocus?: React.FocusEventHandler<any>;
}
declare const _default: React.ComponentType<Pick<InputProps & {
    children?: React.ReactNode;
}, "disabled" | "icon" | "children" | "placeholder" | "onFocus" | "onBlur" | "onChange" | "onKeyDown" | "onKeyUp" | "type" | "value" | "fullWidth" | "multiline" | "inputComponent" | "inputProps" | "inputRef" | "multilineHeight"> & import("@material-ui/core").StyledComponentProps<"disabled" | "underline" | "icon" | "root" | "input" | "inputWithIcon" | "multiline" | "inputWithMultiline" | "iconContainer">>;
export default _default;
