import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUIInput from '@material-ui/core/Input';
import cn from 'classnames';
import withStyles from '../../core/withStyles';
import styles from './Input.styles';
const Input = ({ value = '', type = 'text', placeholder = '', fullWidth = false, disabled = false, multiline = false, multilineHeight, icon, inputProps, inputComponent, onChange, onKeyUp, onKeyDown, onBlur, onFocus, classes, inputRef, }) => {
    let multilineOpts = {};
    let multilineInputOpts = {};
    if (multiline) {
        multilineOpts = {
            rows: 4,
            rowsMax: 4,
            multiline: true,
        };
        multilineInputOpts = { style: { height: multilineHeight } };
    }
    const inputElement = (_jsx(MUIInput, Object.assign({ inputRef: inputRef, value: value, type: type, placeholder: placeholder, fullWidth: fullWidth, disabled: disabled, inputComponent: inputComponent, onChange: onChange, onKeyUp: onKeyUp, onKeyDown: onKeyDown, onBlur: onBlur, onFocus: onFocus, classes: {
            root: classes.root,
            multiline: classes.multiline,
            underline: classes.underline,
            disabled: classes.disabled,
            input: cn(classes.input, icon && classes.inputWithIcon, multiline && classes.inputWithMultiline),
        }, inputProps: Object.assign(Object.assign({}, inputProps), multilineInputOpts) }, multilineOpts), void 0));
    if (icon) {
        return (_jsxs("div", Object.assign({ className: classes.iconContainer }, { children: [inputElement, _jsx("div", Object.assign({ className: classes.icon }, { children: icon }), void 0)] }), void 0));
    }
    return inputElement;
};
export default withStyles(styles)(Input);
//# sourceMappingURL=Input.js.map