import * as React from 'react';
export interface ScrollProviderProps {
    onScroll: React.ReactEventHandler<HTMLElement>;
}
export interface ScrollProviderState {
    scrollTop: number;
    scrollLeft: number;
    offsetHeight: number;
    offsetWidth: number;
}
declare const withScrollProvider: <ComponentProps extends object>(Component: React.ComponentType<ComponentProps & ScrollProviderProps>) => {
    new (props: ComponentProps | Readonly<ComponentProps>): {
        ref: React.RefObject<HTMLElement>;
        state: ScrollProviderState;
        updateScrollState: () => void;
        handleScroll: React.ReactEventHandler<HTMLElement>;
        render(): JSX.Element;
        context: any;
        setState<K extends keyof ScrollProviderState>(state: ScrollProviderState | ((prevState: Readonly<ScrollProviderState>, props: Readonly<ComponentProps>) => ScrollProviderState | Pick<ScrollProviderState, K> | null) | Pick<ScrollProviderState, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<ComponentProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<ComponentProps>, prevState: Readonly<ScrollProviderState>): any;
        componentDidUpdate?(prevProps: Readonly<ComponentProps>, prevState: Readonly<ScrollProviderState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<ComponentProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<ComponentProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): void;
    };
    new (props: ComponentProps, context: any): {
        ref: React.RefObject<HTMLElement>;
        state: ScrollProviderState;
        updateScrollState: () => void;
        handleScroll: React.ReactEventHandler<HTMLElement>;
        render(): JSX.Element;
        context: any;
        setState<K extends keyof ScrollProviderState>(state: ScrollProviderState | ((prevState: Readonly<ScrollProviderState>, props: Readonly<ComponentProps>) => ScrollProviderState | Pick<ScrollProviderState, K> | null) | Pick<ScrollProviderState, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<ComponentProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<ComponentProps>, prevState: Readonly<ScrollProviderState>): any;
        componentDidUpdate?(prevProps: Readonly<ComponentProps>, prevState: Readonly<ScrollProviderState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<ComponentProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<ComponentProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<ComponentProps>, nextState: Readonly<ScrollProviderState>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default withScrollProvider;
