import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import rafThrottle from '../../helpers/rafThrottle';
import ScrollContext from './ScrollContext';
const withScrollProvider = (Component) => class extends React.Component {
    constructor() {
        super(...arguments);
        this.ref = React.createRef();
        this.state = {
            scrollTop: 0,
            scrollLeft: 0,
            offsetHeight: 0,
            offsetWidth: 0,
        };
        this.updateScrollState = rafThrottle((scrollTop, scrollLeft, offsetHeight, offsetWidth) => {
            this.setState({
                scrollTop,
                scrollLeft,
                offsetHeight,
                offsetWidth,
            });
        });
        this.handleScroll = ({ currentTarget: { scrollTop, scrollLeft, offsetHeight, offsetWidth }, }) => 
        // @ts-ignore
        this.updateScrollState(scrollTop, scrollLeft, offsetHeight, offsetWidth);
    }
    render() {
        const { scrollTop, scrollLeft, offsetHeight, offsetWidth } = this.state;
        return (_jsx(ScrollContext.Provider, Object.assign({ value: {
                scrollTop,
                scrollLeft,
                offsetHeight,
                offsetWidth,
            } }, { children: _jsx(Component, Object.assign({ onScroll: this.handleScroll }, this.props), void 0) }), void 0));
    }
};
export default withScrollProvider;
//# sourceMappingURL=withScrollProvider.js.map