import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import withStyles from '../../core/withStyles';
import Hidden from '../Hidden';
import styles from './OneThirdLayoutColumnLarge.styles';
import OneThirdLayoutContext from './OneThirdLayoutContext';
export const OneThirdLayoutColumnLarge = ({ className, children, classes }) => {
    const { collapseMode } = React.useContext(OneThirdLayoutContext);
    const columnEl = (_jsx("div", Object.assign({ className: cn(classes.root, className) }, { children: children }), void 0));
    if (collapseMode === 'collapseLargeColumn') {
        return _jsx(Hidden, Object.assign({ xsDown: true }, { children: columnEl }), void 0);
    }
    return columnEl;
};
export default withStyles(styles)(OneThirdLayoutColumnLarge);
//# sourceMappingURL=OneThirdLayoutColumnLarge.js.map