import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import withStyles from '../../core/withStyles';
import Hidden from '../Hidden';
import styles from './OneThirdLayoutColumnSmall.styles';
import OneThirdLayoutContext from './OneThirdLayoutContext';
export const OneThirdLayoutColumnSmall = ({ className, showBorder, children, classes }) => {
    const { collapseMode } = React.useContext(OneThirdLayoutContext);
    const columnEl = (_jsx("div", Object.assign({ className: cn(classes.root, className, showBorder && classes.border) }, { children: children }), void 0));
    if (collapseMode === 'collapseSmallColumn') {
        return _jsx(Hidden, Object.assign({ smDown: true }, { children: columnEl }), void 0);
    }
    return columnEl;
};
export default withStyles(styles)(OneThirdLayoutColumnSmall);
//# sourceMappingURL=OneThirdLayoutColumnSmall.js.map