import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './PlaylistThumbnail.styles';
export interface PlaylistThumbnailProps {
    selected?: boolean;
    isLocked?: boolean;
    onEdit?: () => any;
    onSelect?: (selected: boolean) => any;
    onClick?: () => any;
    showControls?: boolean;
    testId?: string;
}
interface PlaylistThumbnailPropsWithStyles extends WithStyles<typeof styles>, PlaylistThumbnailProps {
}
interface PlaylistThumbnailState {
    isHover: boolean;
    editPopoverOpen: boolean;
}
export declare class PlaylistThumbnail extends React.Component<PlaylistThumbnailPropsWithStyles, PlaylistThumbnailState> {
    static defaultProps: {
        selected: boolean;
        showControls: boolean;
        isLoading: boolean;
    };
    state: {
        isHover: boolean;
        editPopoverOpen: boolean;
    };
    handleMouseOver: () => void;
    handleMouseLeave: () => void;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<PlaylistThumbnailPropsWithStyles, "classes" | "onClick" | "onSelect" | "testId" | "isLocked" | "onEdit"> & Partial<Pick<PlaylistThumbnailPropsWithStyles, "selected" | "showControls">> & Partial<Pick<{
    selected: boolean;
    showControls: boolean;
    isLoading: boolean;
}, "isLoading">>, "selected" | "onClick" | "onSelect" | "testId" | "isLocked" | "onEdit" | "showControls" | "isLoading"> & import("@material-ui/core").StyledComponentProps<"overlay" | "icon" | "root" | "error" | "image" | "clickable" | "lock" | "topLeft" | "topRight" | "bottomLeft" | "errorMessage">>;
export default _default;
