import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import HttpsIcon from '@material-ui/icons/Https';
import cn from 'classnames';
import isTouchDevice from 'is-touch-device';
import * as React from 'react';
import Button from '../../core/Button';
import Checkbox from '../../core/Checkbox';
import Scrollable from '../../layout/Scrollable';
import withStyles from '../../core/withStyles';
import { stopPropagation, testAttr } from '../../helpers';
import styles from './PlaylistThumbnail.styles';
export class PlaylistThumbnail extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            isHover: false,
            editPopoverOpen: false,
        };
        this.handleMouseOver = () => {
            this.setState({ isHover: true });
        };
        this.handleMouseLeave = () => {
            this.setState({ isHover: false });
        };
    }
    render() {
        const { classes, selected, isLocked, showControls, onEdit, onSelect, onClick, testId, } = this.props;
        const { isHover } = this.state;
        const imageUrl = 'https://assets.raydiant.com/playlist-thumbnail.svg';
        const hasControls = onEdit || onSelect;
        const shouldShowControls = showControls || (hasControls && isHover);
        const shouldShowEdit = !isLocked && onEdit && shouldShowControls;
        const shouldShowSelect = (onSelect && shouldShowControls) || selected;
        const shouldShowOverlay = shouldShowControls || selected;
        // Don't attached mouse over / leave for touch devices.
        const shouldAddMouseEvents = !isTouchDevice();
        return (_jsxs("div", Object.assign({ className: cn(classes.root, onClick && classes.clickable), onMouseOver: shouldAddMouseEvents ? this.handleMouseOver : undefined, onMouseLeave: shouldAddMouseEvents ? this.handleMouseLeave : undefined, onClick: onClick }, testAttr(testId), { children: [_jsx("div", { className: classes.image, style: {
                        backgroundImage: `url(${imageUrl})`,
                    } }, void 0), shouldShowOverlay && _jsx("div", { className: classes.overlay }, void 0), shouldShowEdit && (_jsx("div", Object.assign({ className: shouldShowSelect ? classes.topRight : classes.topLeft }, { children: _jsx(Button, { color: "light", icon: "edit", onClick: stopPropagation(onEdit), testId: testId ? `${testId}-edit` : '' }, void 0) }), void 0)), isLocked && (_jsx("div", Object.assign({ className: classes.lock }, { children: _jsx(HttpsIcon, { fontSize: "inherit" }, void 0) }), void 0)), shouldShowSelect && (_jsx(Scrollable.VisibilitySensor, { children: ({ visibilityRef, isVisible }) => (_jsx("div", Object.assign({ ref: visibilityRef, className: classes.topLeft }, { children: isVisible && (_jsx(Checkbox, { round: true, 
                            // @ts-ignore
                            checked: selected, onChange: onSelect, onClick: stopPropagation(), testId: testId ? `${testId}-select` : '' }, void 0)) }), void 0)) }, void 0))] }), void 0));
    }
}
PlaylistThumbnail.defaultProps = {
    selected: false,
    showControls: false,
    isLoading: false,
};
export default withStyles(styles)(PlaylistThumbnail);
//# sourceMappingURL=PlaylistThumbnail.js.map