import * as React from 'react';
import * as A from '../../application/ApplicationTypes';
import { WithStyles } from '../../core/withStyles';
import * as D from '../../devices/DeviceTypes';
import * as P from '../PresentationTypes';
import styles from './PresentationBuilder.styles';
interface PresentationBuilderProps extends WithStyles<typeof styles> {
    presentation?: P.Presentation;
    initialPresentationState?: P.Presentation;
    appVersion?: A.ApplicationVersion;
    themes?: P.Theme[];
    soundZones?: P.SoundZone[];
    playlists?: P.Playlist[];
    localUploads?: P.LocalUploadInProgress[];
    affectedDevices?: D.AffectedDevice[];
    previewMode?: P.PreviewMode;
    header?: React.ReactNode;
    minDuration?: number;
    didSave?: boolean;
    backToLabel?: string;
    selectedPlaylistPath?: P.Path;
    onBack?: () => void;
    onSave?: () => void;
    onDone?: () => void;
    onStateChange?: (presentation: P.Presentation, localUploads: P.LocalUpload[]) => void;
    onBuilderStateChange?: (builderState: P.BuilderState) => void;
    children?: (presentation: P.Presentation, errors: P.PresentationError[]) => React.ReactNode;
    onPlaylistEdit?: (playlistId: string, path: P.Path) => void;
    onPlaylistCreate?: (path: P.Path) => void;
    onPlaylistSelect?: (path: P.Path) => Promise<string>;
}
interface PresentationBuilderState {
    previewPresentation?: P.Presentation;
    validate: boolean;
    previewMode: P.PreviewMode;
    showAffectedDevices: boolean;
}
export declare class PresentationBuilder extends React.Component<PresentationBuilderProps, PresentationBuilderState> {
    static defaultProps: Partial<PresentationBuilderProps>;
    state: PresentationBuilderState;
    fileBlobs: {
        [localUrl: string]: File;
    };
    componentDidUpdate(prevProps: PresentationBuilderProps): void;
    validate(): P.PresentationError[];
    handleSave: () => void;
    handleDone: () => void;
    renderWarnings(): JSX.Element[];
    renderPreview(): JSX.Element;
    render(): JSX.Element;
}
declare const _default: React.FC<Pick<Pick<PresentationBuilderProps, never> & Partial<Pick<PresentationBuilderProps, keyof PresentationBuilderProps>> & Partial<Pick<Partial<PresentationBuilderProps>, never>>, "children" | "header" | "presentation" | "onBack" | "playlists" | "selectedPlaylistPath" | "soundZones" | "themes" | "appVersion" | "onBuilderStateChange" | "onPlaylistEdit" | "onPlaylistCreate" | "onPlaylistSelect" | "previewMode" | "initialPresentationState" | "localUploads" | "affectedDevices" | "minDuration" | "didSave" | "backToLabel" | "onSave" | "onDone" | "onStateChange"> & import("@material-ui/core").StyledComponentProps<"inputs"> & import("../../core/ThemeSelector").ThemeProps>;
export default _default;
