import * as React from 'react';
import { ApplicationVersion } from '../../application/ApplicationTypes';
import { Presentation, Theme, SoundZone, Playlist, Path, LocalUpload, PresentationError, BuilderState, Catalog } from '../PresentationTypes';
export interface PresentationFormProps<P, A, T, S, PL, C> {
    className?: string;
    presentation: P;
    appVersion: A;
    themeOptions?: React.ReactNode;
    errors: PresentationError[];
    themes?: T[];
    soundZones?: S[];
    playlists?: PL[];
    catalogs?: C[];
    selectedPlaylistPath?: Path;
    builderState?: BuilderState;
    newThemeDisabled?: boolean;
    newThemeDisabledMessage?: React.ReactNode;
    onChange: (presentation: P, localUploads: LocalUpload[]) => void;
    onBuilderStateChange?: (builderState: BuilderState) => void;
    onPlaylistEdit?: (playlistId: string, path: Path) => void;
    onPlaylistCreate?: (path: Path) => void;
    onPlaylistSelect?: (path: Path) => Promise<string>;
    onThemeEdit?: (themeId: string) => void;
    onThemeManage?: () => void;
    onThemeAdd?: () => void;
    createObjectURL: (blob: Blob) => Promise<string>;
}
declare const PresentationForm: <P extends Presentation, A extends ApplicationVersion, T extends Theme, S extends SoundZone, PL extends Playlist, C extends Catalog>({ className, presentation, appVersion, errors, themes, soundZones, playlists, catalogs, selectedPlaylistPath, builderState, newThemeDisabled, newThemeDisabledMessage, onChange, onBuilderStateChange, onPlaylistEdit, onPlaylistCreate, onPlaylistSelect, onThemeEdit, onThemeManage, onThemeAdd, themeOptions, createObjectURL, }: PresentationFormProps<P, A, T, S, PL, C>) => JSX.Element;
export default PresentationForm;
