import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import Link from '../../core/Link';
const PresentationFormHelperText = ({ property, path, strings, error, }) => {
    if (error) {
        return _jsx(_Fragment, { children: error }, void 0);
    }
    if (property.helper_link) {
        return (_jsx(Link, Object.assign({ target: "_blank", href: property.helper_link }, { children: (property.helper_text && strings[property.helper_text]) ||
                property.helper_text }), void 0));
    }
    if (property.helper_text) {
        return _jsx(_Fragment, { children: strings[property.helper_text] || property.helper_text }, void 0);
    }
    if (path.length <= 2 && property.type !== 'playlist') {
        // Inputs should always account for helper text spacing even if there isn't
        // any helper text displayed but only at the root (when path <= 2) or unless
        // its a playlist type.
        return _jsx(_Fragment, { children: "\u00A0" }, void 0);
    }
    return null;
};
export default PresentationFormHelperText;
//# sourceMappingURL=PresentationFormHelperText.js.map