import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect } from 'react';
import SelectField from '../../../../core/SelectField';
const CatalogInput = ({ label, value, catalogs, helperText, error, disabled, onChange, }) => {
    // Select the first catalog if the value is empty.
    useEffect(() => {
        if (!value && (catalogs === null || catalogs === void 0 ? void 0 : catalogs.length)) {
            onChange(catalogs[0].id);
        }
    }, [value, catalogs, onChange]);
    // Handle a value that is not in the list of catalogs (ie. user does not have permission).
    const hasUnknownValue = value && !(catalogs === null || catalogs === void 0 ? void 0 : catalogs.some((catalog) => catalog.id === value));
    return (_jsxs(SelectField, Object.assign({ label: label, value: value, error: error, disabled: disabled, helperText: helperText, onChange: onChange }, { children: [hasUnknownValue && _jsx("option", Object.assign({ value: value }, { children: "Unknown" }), void 0), catalogs === null || catalogs === void 0 ? void 0 : catalogs.map((catalog) => (_jsx("option", Object.assign({ value: catalog.id }, { children: catalog.displayName }), catalog.id)))] }), void 0));
};
export default CatalogInput;
//# sourceMappingURL=CatalogInput.js.map