import replacePropNameWithValue from '../../../../helpers/replacePropNameWithValue';
export function getInterpolatedUrl(props) {
    const urlPropNames = getUrlPropsNames(props.url);
    if (urlPropNames.length === 0) {
        return props.url;
    }
    else if (allPropValuesPresent(Object.assign(Object.assign({}, props), { urlPropNames }))) {
        return replacePropNameWithValue(props.url, props.presentationValues, true);
    }
    else {
        return undefined;
    }
}
export function allPropValuesPresent({ urlPropNames, presentationValues, }) {
    return urlPropNames.every((propName) => !!presentationValues[propName]);
}
export function getUrlPropsNames(url) {
    const dependsOn = [];
    url.replace(/\{\{(.*?)\}\}/g, (regexMatch, propName) => {
        dependsOn.push(propName);
        // We need to return something to appease TS but we don't actually
        // use the result of the replace.
        return regexMatch;
    });
    return dependsOn;
}
//# sourceMappingURL=urlInterpolation.js.map