import { useState, useEffect } from 'react';
import get from 'lodash.get';
export const READY = 'ready';
export const useScript = ({ url, name }) => {
    const [status, setStatus] = useState('loading');
    useEffect(() => {
        if (get(window, name)) {
            return setStatus('ready');
        }
        const script = document.createElement('script');
        script.src = url;
        script.async = true;
        document.body.appendChild(script);
        script.onload = () => setStatus('ready');
        script.onerror = () => setStatus('error');
    }, [url, name]);
    return status;
};
//# sourceMappingURL=useScript.js.map