var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import ImagePickerField from '../../../../core/ImagePickerField/ImagePickerField';
import replacePropNameWithValue from '../../../../helpers/replacePropNameWithValue';
class ImagePickerFieldInput extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            images: null,
            imagesError: '',
        };
    }
    fetchImages() {
        return __awaiter(this, void 0, void 0, function* () {
            const { imagesUrl = '', parentValue } = this.props;
            const defaultErrorMessage = 'Failed to load images.';
            const url = replacePropNameWithValue(imagesUrl, parentValue);
            const resp = yield fetch(url);
            if (resp.ok) {
                try {
                    const images = yield resp.json();
                    this.setState({ images });
                }
                catch (err) {
                    this.setState({ imagesError: defaultErrorMessage });
                }
            }
            else {
                try {
                    const error = yield resp.json();
                    this.setState({ imagesError: error.message || defaultErrorMessage });
                }
                catch (err) {
                    this.setState({ imagesError: defaultErrorMessage });
                }
            }
        });
    }
    componentDidMount() {
        if (this.props.imagesUrl) {
            this.fetchImages();
        }
    }
    render() {
        const { value, onChange, onBlur } = this.props;
        // Ensure it's an array to appease TS.
        const imagePickerFieldValue = Array.isArray(value)
            ? value
            : Array.from(value || []);
        const { images } = this.state;
        if (!images) {
            return null;
        }
        return (_jsx(ImagePickerField, Object.assign({ onChange: onChange, onBlur: onBlur, value: imagePickerFieldValue }, { children: images.map(({ id, thumbnailUrl }) => (_jsx(ImagePickerField.Option, { value: id, url: thumbnailUrl }, id))) }), void 0));
    }
}
ImagePickerFieldInput.defaultProps = {
    imagesUrl: '',
    parentValue: {},
};
export default ImagePickerFieldInput;
//# sourceMappingURL=ImagePickerFieldInput.js.map