import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
class EmbeddedFrame extends React.Component {
    constructor() {
        super(...arguments);
        this.isValidMessage = (event) => event.data &&
            typeof event.data === 'object' &&
            event.data.namespace === 'raydiant-dash';
        this.receiveMessage = (event) => {
            if (!this.isValidMessage(event))
                return;
            const { type, payload } = event.data;
            this.props.onMessage(type, payload);
        };
    }
    componentDidMount() {
        window.addEventListener('message', this.receiveMessage, false);
    }
    componentWillUnmount() {
        window.removeEventListener('message', this.receiveMessage);
    }
    render() {
        const { src } = this.props;
        return (_jsx("iframe", { title: "embedded-frame", src: src, style: { width: '100%', height: '100%', border: 0 } }, void 0));
    }
}
EmbeddedFrame.defaultProps = {};
export default EmbeddedFrame;
//# sourceMappingURL=EmbeddedFrame.js.map