import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import { ThemeProvider } from '@material-ui/core/styles';
import Button from '../../../../core/Button';
import Modal from '../../../../core/Modal';
import replacePropNameWithValue from '../../../../helpers/replacePropNameWithValue';
import createTheme from '../../../../theme/createTheme';
import FormHelperText from '../../../../internal/FormHelperText';
import EmbeddedFrame from './EmbeddedFrame';
class ModalButton extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            open: false,
        };
        this.close = () => {
            this.setState({ open: false });
        };
        this.handleMessage = (type, payload) => {
            const { onChange = () => { } } = this.props;
            switch (type) {
                case 'update':
                    onChange({ open: this.state.open, value: payload });
                    break;
                case 'close':
                    this.close();
                    onChange({ open: false, value: payload });
                    break;
            }
        };
        this.handleOnClick = () => {
            const { onChange = () => { } } = this.props;
            this.setState({ open: true });
            onChange({ open: true });
        };
        this.handleOverlayClick = () => {
            const { onChange = () => { } } = this.props;
            this.close();
            onChange({ open: false });
        };
    }
    render() {
        const { label, sourceUrl, disabled, parentValue, helperText, backgroundColor, hoveredBackgroundColor, textColor, } = this.props;
        const theme = (outerTheme) => createTheme(Object.assign(Object.assign({}, outerTheme), { modal: Object.assign(Object.assign({}, outerTheme.modal), { maxWidth: '90%', maxHeight: '90%' }), palette: Object.assign(Object.assign({}, outerTheme.palette), { primary: {
                    main: backgroundColor || outerTheme.palette.primary.main,
                    dark: hoveredBackgroundColor || outerTheme.palette.primary.dark,
                    contrastText: textColor || outerTheme.palette.primary.contrastText,
                } }) }));
        const url = replacePropNameWithValue(sourceUrl, parentValue || {}, true);
        return (_jsxs(ThemeProvider, Object.assign({ theme: theme }, { children: [_jsxs("div", { children: [_jsx(Button, { fullWidth: true, color: "primary", label: label, disabled: disabled, onClick: this.handleOnClick }, void 0), helperText && (_jsx(FormHelperText, Object.assign({ disabled: disabled }, { children: helperText }), void 0))] }, void 0), _jsx(Modal, Object.assign({ open: this.state.open, onOverlayClick: this.handleOverlayClick }, { children: _jsx(EmbeddedFrame, { src: url, onMessage: this.handleMessage }, void 0) }), void 0)] }), void 0));
    }
}
ModalButton.defaultProps = {
    label: '',
    sourceUrl: '',
};
export default ModalButton;
//# sourceMappingURL=ModalButton.js.map