import { jsx as _jsx } from "react/jsx-runtime";
import NumberField from '../../../../core/NumberField';
const isValid = (value) => value !== undefined && value !== null && value !== '' && !isNaN(value);
const NumberInput = ({ label, value, defaultValue, constraints, helperText, error, disabled, onChange, }) => (_jsx(NumberField, { label: label, value: value, onChange: onChange, helperText: helperText, error: error, disabled: disabled, min: constraints.min, max: constraints.max, onBlur: () => {
        if (isValid(defaultValue) && !isValid(value)) {
            onChange(defaultValue);
        }
        else if (isValid(constraints.min) &&
            (!isValid(value) || value < constraints.min)) {
            onChange(constraints.min);
        }
        else if (isValid(constraints.max) &&
            value > constraints.max) {
            onChange(constraints.max);
        }
    } }, void 0));
export default NumberInput;
//# sourceMappingURL=NumberInput.js.map