import * as React from 'react';
import { Theme } from '../../../../theme/createTheme';
import * as T from '../../../PresentationTypes';
declare type VerifyStatus = 'idle' | 'success' | 'failed';
export interface OAuthInputProps {
    label: string;
    value: string;
    provider?: string;
    helperText: React.ReactNode;
    theme?: (outerTheme: Theme) => Theme;
    path: T.Path;
    error?: boolean;
    disabled?: boolean;
    authUrl: string;
    verifyUrl: string;
    verifyQsParam: string;
    logoutUrl?: string;
    logoutQsParam?: string;
    onChange: (value: string | null) => any;
    icon?: React.ReactNode;
    /** Preview username for styleguidist */
    previewUsername?: string;
    previewVerifyStatus?: VerifyStatus;
}
declare const _default: React.ComponentType<Pick<Pick<OAuthInputProps & {
    classes: import("@material-ui/styles").ClassNameMap<"disabled" | "default" | "label" | "loggedIn">;
}, "disabled" | "icon" | "error" | "label" | "path" | "classes" | "onChange" | "value" | "helperText" | "provider" | "authUrl" | "verifyUrl" | "verifyQsParam" | "logoutUrl" | "logoutQsParam" | "previewUsername" | "previewVerifyStatus"> & Partial<Pick<OAuthInputProps & {
    classes: import("@material-ui/styles").ClassNameMap<"disabled" | "default" | "label" | "loggedIn">;
}, "theme">> & Partial<Pick<{
    theme: (outerTheme: Theme) => Theme;
}, never>>, "disabled" | "icon" | "error" | "label" | "path" | "onChange" | "value" | "helperText" | "theme" | "provider" | "authUrl" | "verifyUrl" | "verifyQsParam" | "logoutUrl" | "logoutQsParam" | "previewUsername" | "previewVerifyStatus"> & import("@material-ui/core/styles").StyledComponentProps<"disabled" | "default" | "label" | "loggedIn">>;
export default _default;
