import * as React from 'react';
import * as A from '../../../../application/ApplicationTypes';
import * as P from '../../../PresentationTypes';
import { MultiSelectFieldSortOption } from '../../../../core/MultiSelectField/MultiSelectField';
interface SelectionInputProps {
    label: string;
    value: string | string[];
    multiple?: boolean;
    searchable?: boolean;
    selectable?: boolean;
    options?: A.SelectionOption[];
    onInputStateChange: (state: any) => void;
    optionsUrl?: string;
    optionsUrlHttpHeaders?: A.OptionsUrlHttpHeader[];
    sortable?: MultiSelectFieldSortOption[];
    helperText?: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: string | string[]) => any;
    strings: A.Strings;
    parentValue: P.ApplicationVariables;
    inputState: any;
}
interface SelectionInputState {
    options: A.SelectionOption[] | null;
    optionsError: string;
}
declare class SelectionInput extends React.Component<SelectionInputProps, SelectionInputState> {
    static defaultProps: {
        multiple: boolean;
        searchable: boolean;
        options: A.SelectionOption[];
        optionsUrl: string;
    };
    state: SelectionInputState;
    componentDidMount(): void;
    componentDidUpdate(prevProps: SelectionInputProps): void;
    getDependentProps(): string[];
    getUpdatedDependentProps(prevParentValue: P.ApplicationVariables): string[];
    fetchOptions(): Promise<void>;
    checkDefaultOptions(options: A.SelectionOption[]): void;
    getLabel(option: A.SelectionOption): string | undefined;
    render(): JSX.Element;
}
export default SelectionInput;
