import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import TextField from '../../../../core/TextField';
const StringInput = ({ label, value: defaultValue, constraints, helperText, error, disabled, onChange, }) => {
    const [value, setValue] = React.useState(defaultValue);
    React.useEffect(() => {
        setValue(defaultValue);
    }, [defaultValue]);
    const handleBlur = React.useCallback(() => {
        onChange(value);
    }, [value, onChange]);
    return (_jsx(TextField, { label: label, value: value, onChange: setValue, onBlur: handleBlur, helperText: helperText, error: error, maxLength: constraints.maxlength, disabled: disabled }, void 0));
};
export default StringInput;
//# sourceMappingURL=StringInput.js.map