import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import TextField from '../../../../core/TextField';
const TextInput = ({ label, value: defaultValue, constraints, helperText, error, disabled, onChange,
// onBlur,
 }) => {
    const [value, setValue] = React.useState(defaultValue);
    React.useEffect(() => {
        setValue(defaultValue);
    }, [defaultValue]);
    const handleBlur = React.useCallback(() => {
        onChange(value);
    }, [value, onChange]);
    return (_jsx(TextField, { multiline: true, label: label, value: value, onChange: setValue, onBlur: handleBlur, helperText: helperText, error: error, disabled: disabled, maxLength: constraints.maxlength }, void 0));
};
export default TextInput;
//# sourceMappingURL=TextInput.js.map