import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import EditIcon from '@material-ui/icons/Edit';
import AddCircleIcon from '@material-ui/icons/AddCircle';
import Tooltip from '@material-ui/core/Tooltip';
import { makeStyles, createStyles } from '../../../../styles';
import InputHelperText from '../../../../core/InputHelperText';
import InputLabel from '../../../../core/InputLabel';
import Select from '../../../../core/Select';
import ActionBar from '../../../../core/ActionBar/v2';
import ManageMultipleIcon from '../../../../icons/ManageMultiple';
const useStyles = makeStyles((theme) => createStyles({
    actions: {
        marginBottom: theme.spacing(1),
    },
}));
const ThemeInput = ({ label, value, themeOptions, helperText, error, disabled, addDisabled, addDisabledMessage, onChange, onEdit, onManage, onAdd, }) => {
    const classes = useStyles();
    return (_jsxs("div", { children: [_jsx(InputLabel, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), _jsxs(ActionBar, Object.assign({ className: classes.actions }, { children: [_jsx(ActionBar.Action, { icon: _jsx(EditIcon, {}, void 0), disabled: !onEdit, onClick: () => onEdit && onEdit(value) }, void 0), _jsx(ActionBar.Action, { icon: _jsx(ManageMultipleIcon, {}, void 0), onClick: onManage }, void 0), addDisabled ? (_jsx(Tooltip, Object.assign({ title: addDisabledMessage || '', arrow: true }, { children: _jsx("span", { children: _jsx(ActionBar.Action, { icon: _jsx(AddCircleIcon, {}, void 0), onClick: onAdd, disabled: addDisabled }, void 0) }, void 0) }), void 0)) : (_jsx(ActionBar.Action, { icon: _jsx(AddCircleIcon, {}, void 0), onClick: onAdd }, void 0))] }), void 0), _jsx(Select, Object.assign({ fullWidth: true, value: value, onChange: onChange, disabled: disabled, native: false }, { children: themeOptions }), void 0), helperText && (_jsx(InputHelperText, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }, void 0));
};
export default ThemeInput;
//# sourceMappingURL=ThemeInput.js.map