import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import SelectField from '../../../../core/SelectField';
const ThemeInputLegacy = ({ label, value, themes, helperText, error, disabled, onChange, }) => {
    const theme = themes.find((pl) => pl.id === value);
    // Assume the theme was assigned by an admin if there is a theme id but we can't
    // find it in the current user's themes. This is a workaround, ideally the API would return
    // the basic information about the assigned theme if the current user doesn't have access to it.
    const isAdminAssigned = value && !theme;
    const options = themes
        .filter((t) => !t.resource.deletedAt)
        .map((t) => ({
        value: t.id,
        name: t.name,
    }));
    return (_jsxs(SelectField, Object.assign({ label: label, value: value || (options[0] ? options[0].value : ''), onChange: onChange, helperText: helperText, error: error, disabled: disabled }, { children: [isAdminAssigned && (_jsx("option", Object.assign({ value: value }, { children: " Administrator assigned theme" }), void 0)), options.map((opt) => (_jsx("option", Object.assign({ value: opt.value }, { children: opt.name }), opt.value)))] }), void 0));
};
export default ThemeInputLegacy;
//# sourceMappingURL=ThemeInputLegacy.js.map