import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import * as T from '../PresentationTypes';
import styles from './PresentationThumbnail.styles';
export interface PresentationThumbnailProps {
    presentation: T.Presentation;
    selected?: boolean;
    onEdit?: () => any;
    onSelect?: (selected: boolean) => any;
    onClick?: () => any;
    showControls?: boolean;
    hasError?: boolean;
    errorMessage?: string;
    isLoading?: boolean;
    isLocked?: boolean;
    testId?: string;
}
interface PresentationThumbnailPropsWithStyles extends WithStyles<typeof styles>, PresentationThumbnailProps {
}
interface PresentationThumbnailState {
    isHover: boolean;
    editPopoverOpen: boolean;
}
export declare class PresentationThumbnail extends React.Component<PresentationThumbnailPropsWithStyles, PresentationThumbnailState> {
    static defaultProps: {
        selected: boolean;
        showControls: boolean;
        hasError: boolean;
        errorMessage: string;
        isLoading: boolean;
    };
    state: {
        isHover: boolean;
        editPopoverOpen: boolean;
    };
    handleMouseOver: () => void;
    handleMouseLeave: () => void;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<Pick<PresentationThumbnailPropsWithStyles, "classes" | "onClick" | "onSelect" | "presentation" | "testId" | "isLocked" | "onEdit"> & Partial<Pick<PresentationThumbnailPropsWithStyles, "selected" | "errorMessage" | "showControls" | "isLoading" | "hasError">> & Partial<Pick<{
    selected: boolean;
    showControls: boolean;
    hasError: boolean;
    errorMessage: string;
    isLoading: boolean;
}, never>>, "selected" | "onClick" | "onSelect" | "presentation" | "testId" | "errorMessage" | "isLocked" | "onEdit" | "showControls" | "isLoading" | "hasError"> & import("@material-ui/core").StyledComponentProps<"overlay" | "icon" | "root" | "error" | "image" | "clickable" | "lock" | "topLeft" | "topRight" | "bottomLeft" | "errorMessage">>;
export default _default;
