export declare type Path = Array<string | number>;
export declare type Crumbs = Path[];
export interface FileUpload {
    filename: string;
    url: string;
    'content-type': string;
    'content-length': number;
}
export interface ApplicationVariables {
    [key: string]: any;
}
export interface Presentation {
    id: string;
    appVersionId: string;
    name: string;
    themeId?: string;
    applicationVariables: ApplicationVariables;
    duration?: number;
    hasDynamicThumbnails: boolean;
    thumbnailUrl?: string;
    iconUrl: string;
    applicationThumbnailUrl: string;
    applicationName: string;
}
export interface Theme {
    id: string;
    name: string;
    resource: {
        deletedAt: string | null;
    };
}
export interface Playlist {
    id: string;
    name: string;
    resource: {
        deletedAt: string | null;
    };
}
export interface SoundZone {
    id: string;
    name: string;
}
export interface PresentationError {
    path: Path;
    message: string;
}
export declare enum PreviewMode {
    Horizontal = "horizontal",
    Vertical = "vertical"
}
export declare enum PreviewResolutions {
    HD = "HD",
    FullHD = "FullHD",
    UltraHD = "UltraHD",
    EightK = "EightK"
}
export interface Resolutions {
    width: number;
    height: number;
}
export interface LocalUploadInProgress {
    path: Path;
    isUploading: boolean;
    localUrl: string;
}
export interface LocalUpload {
    path: Path;
    file: File;
    localUrl: string;
}
export interface BuilderState {
    inputs: InputState[];
}
export interface InputState {
    path: Path;
    state: any;
}
export interface Catalog {
    id: string;
    displayName: string;
}
