import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import Icon from '../../core/Icon';
import withStyles, { createStyles } from '../../core/withStyles';
import { buttonReset } from '../../mixins';
const styles = (theme) => createStyles({
    root: Object.assign(Object.assign({}, buttonReset()), { width: theme.spacing(22), height: theme.spacing(15.875), display: 'flex', flexDirection: 'column', alignItems: 'center', justifyContent: 'center', borderTop: `1px solid ${theme.button.border}`, borderRight: `1px solid ${theme.button.border}`, borderBottom: `1px solid transparent`, borderLeft: `1px solid transparent`, cursor: 'pointer', '&:nth-child(-n+2)': {
            borderTop: `1px solid transparent`,
        }, '&:nth-child(2n)': {
            borderRight: `1px solid transparent`,
        } }),
    icon: {
        marginBottom: theme.spacing(1),
    },
    label: {
        fontSize: theme.fontSizes.sm,
        fontWeight: 500,
        color: theme.palette.text.primary,
    },
    description: {
        fontSize: theme.fontSizes.xs,
        color: theme.palette.text.secondary,
    },
});
export const ScheduleContentPopoverItem = ({ icon, label, description, classes, onClick }) => (_jsxs("button", Object.assign({ className: classes.root, onClick: onClick }, { children: [icon && _jsx(Icon, { icon: icon, className: classes.icon }, void 0), ' ', _jsx("div", Object.assign({ className: classes.label }, { children: label }), void 0), _jsx("div", Object.assign({ className: classes.description }, { children: description || _jsx(_Fragment, { children: "\u00A0" }, void 0) }), void 0)] }), void 0));
export default withStyles(styles)(ScheduleContentPopoverItem);
//# sourceMappingURL=ScheduleContentPopoverItem.js.map