import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
interface SequenceScheduleProps extends WithStyles<typeof styles> {
    onScroll?: React.ReactEventHandler<HTMLDivElement>;
}
interface SequenceScheduleState {
    monthVisibility: Record<string, boolean>;
    currentMonth: Date;
}
export declare class SequenceSchedule extends React.Component<SequenceScheduleProps, SequenceScheduleState> {
    state: SequenceScheduleState;
    setMonthVisibility: (month: Date, visibility: boolean) => void;
    render(): JSX.Element;
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root" | "months" | "currentMonthHeader">;
declare const _default: {
    new (props: (Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps) | Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>): {
        ref: React.RefObject<HTMLElement>;
        state: import("../../internal/Scroll/withScrollProvider").ScrollProviderState;
        updateScrollState: () => void;
        handleScroll: React.ReactEventHandler<HTMLElement>;
        render(): JSX.Element;
        context: any;
        setState<K extends keyof import("../../internal/Scroll/withScrollProvider").ScrollProviderState>(state: import("../../internal/Scroll/withScrollProvider").ScrollProviderState | ((prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, props: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>) => import("../../internal/Scroll/withScrollProvider").ScrollProviderState | Pick<import("../../internal/Scroll/withScrollProvider").ScrollProviderState, K> | null) | Pick<import("../../internal/Scroll/withScrollProvider").ScrollProviderState, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): void;
    };
    new (props: Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps, context: any): {
        ref: React.RefObject<HTMLElement>;
        state: import("../../internal/Scroll/withScrollProvider").ScrollProviderState;
        updateScrollState: () => void;
        handleScroll: React.ReactEventHandler<HTMLElement>;
        render(): JSX.Element;
        context: any;
        setState<K extends keyof import("../../internal/Scroll/withScrollProvider").ScrollProviderState>(state: import("../../internal/Scroll/withScrollProvider").ScrollProviderState | ((prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, props: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>) => import("../../internal/Scroll/withScrollProvider").ScrollProviderState | Pick<import("../../internal/Scroll/withScrollProvider").ScrollProviderState, K> | null) | Pick<import("../../internal/Scroll/withScrollProvider").ScrollProviderState, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, prevState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleProps, "onScroll"> & import("@material-ui/core").StyledComponentProps<"root" | "months" | "currentMonthHeader"> & import("../../core/ThemeSelector").ThemeProps>, nextState: Readonly<import("../../internal/Scroll/withScrollProvider").ScrollProviderState>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
} & {
    Day: React.ComponentType<Pick<import("./SequenceScheduleDay").SequenceScheduleDayProps & {
        children?: React.ReactNode;
    }, "children" | "date"> & import("@material-ui/core").StyledComponentProps<"content" | "root" | "date" | "dayOfMonth" | "dayOfWeek">>;
    Month: {
        new (props: (Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">) | Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">, context: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<import("./SequenceScheduleMonth").SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
        };
        contextType?: React.Context<any> | undefined;
    };
};
export default _default;
