import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import moment from 'moment';
import withStyles, { createStyles } from '../../core/withStyles';
import { marginBetweenChildrenHorizontal, marginBetweenChildrenVertical, } from '../../mixins';
import Text from '../../typography/Text';
const SequenceScheduleDay = ({ children, classes, date }) => (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsxs("div", Object.assign({ className: classes.date }, { children: [_jsx(Text, Object.assign({ center: true, nowrap: true }, { children: _jsx("div", Object.assign({ className: classes.dayOfMonth }, { children: moment(date).format('DD') }), void 0) }), void 0), _jsx(Text, Object.assign({ center: true, muted: true, nowrap: true }, { children: _jsx("div", Object.assign({ className: classes.dayOfWeek }, { children: moment(date).format('ddd') }), void 0) }), void 0)] }), void 0), _jsx("div", Object.assign({ className: classes.content }, { children: children }), void 0)] }), void 0));
const styles = (theme) => createStyles({
    root: Object.assign({ display: 'flex', paddingLeft: theme.spacing(2), paddingRight: theme.spacing(2) }, marginBetweenChildrenHorizontal(theme.spacing(1))),
    content: Object.assign({ flex: 1, paddingTop: theme.spacing(1), paddingBottom: theme.spacing(1) }, marginBetweenChildrenVertical(theme.spacing(1.5))),
    date: {
        width: theme.spacing(5),
    },
    dayOfMonth: {
        fontSize: theme.spacing(4.5),
        marginTop: 6,
        marginBottom: 2,
        fontWeight: 300,
        lineHeight: 1,
    },
    dayOfWeek: {
        textTransform: 'uppercase',
        fontWeight: 500,
    },
});
export default withStyles(styles)(SequenceScheduleDay);
//# sourceMappingURL=SequenceScheduleDay.js.map