import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import moment from 'moment';
import * as React from 'react';
import withStyles, { createStyles } from '../../core/withStyles';
import withVisibility from '../../internal/Scroll/withVisibility';
import Heading2 from '../../typography/Heading2';
import { withSequenceScheduleContext } from './SequenceScheduleContext';
class SequenceScheduleMonth extends React.Component {
    componentDidUpdate() {
        const { date, isPartiallyVisible = false, setMonthVisibility = () => { }, } = this.props;
        setMonthVisibility(moment(date).toDate(), isPartiallyVisible);
    }
    render() {
        const { children, classes, date } = this.props;
        return (_jsxs("div", Object.assign({ ref: this.props.visibleElementRef, className: classes.root }, { children: [_jsx("div", Object.assign({ className: classes.header }, { children: _jsx(Heading2, { children: moment(date).format('MMMM YYYY') }, void 0) }), void 0), children] }), void 0));
    }
}
const styles = (theme) => createStyles({
    root: {
        marginTop: theme.spacing(2),
        marginBottom: theme.spacing(2),
    },
    header: {
        paddingLeft: theme.spacing(9),
        paddingRight: theme.spacing(2),
    },
});
export default withSequenceScheduleContext(withVisibility(withStyles(styles)(SequenceScheduleMonth)));
//# sourceMappingURL=SequenceScheduleMonth.js.map